/*
 * $Id$
 */

//ignorei18n_start
import Ember from 'ember';
import AJAXUtil from 'webclient/utils/ajax-util'; //NO I18N
//ignorei18n_start
export default Ember.Component.extend({
	promotionData: null,
	getPromotionData: function() {
		var self = this;
		AJAXUtil.ajax('/RestAPI/WC/Promotion?mTCall=getFooterPromotion')
			.then(function(json) {
				if (json.hasOwnProperty('IMAGE_URL')) {
					self.set('promotionData', json);
				} else {
					self.set('promotionData', null);
				}
			});
	}.on('init'),
	actions: {
		viewLink: function(promotionId) {
			AJAXUtil.ajax('/RestAPI/WC/Promotion?mTCall=updatePromotionViewStatus&promotionId=' + promotionId + "&statusFlag=1");
			window.open(this.get("promotionData.ONCLICK_URL"));
			this.set('promotionData', null);
		},

		closePromotion: function(promotionId) {
			this.set('promotionData', null);
			AJAXUtil.ajax('/RestAPI/WC/Promotion?mTCall=updatePromotionViewStatus&promotionId=' + promotionId + "&statusFlag=2");
		}
	}

});
//ignorei18n_end