/*
 * $Id$
 */
import Ember from 'ember'; //NO I18N
import AJAXUtil from 'webclient/utils/ajax-util'; //NO I18N
export default Ember.Component.extend({
    getproductDowntime:'getproductDowntime', //No I18N
    didInsertElement: function () {
        if (window.hideJumpTo) {
            Ember.$("#adsfJumpTo").addClass("hide");
        }
    },
    actions: {
    getIntegratedProducts: function() {
			var self = this;
			var productData = null;
            var isResponseAvailable = false;
            if(this.hasOwnProperty('integratedProductDetails'))
            {
                productData = this.get('integratedProductDetails'); //No I18N
                isResponseAvailable = true;
                console.log('integratedProductDetails available: '+JSON.stringify(this.get('integratedProductDetails')));
            }
            else
            {                                                                      
                Ember.$.ajax({
                    url: "/RestAPI/WC/JumpToAction?mTCall=getIntegratedProducts", //No I18N
                    type: 'POST', //No I18N
                    dataType: 'json', //No I18N
                    async: false,
                    success: function(responseData){
                    productData = responseData;
                    isResponseAvailable = true;
                }  });   
            }
            if(productData != null && productData != undefined && isResponseAvailable){
                for (var i = 0; i < productData.length; i++) 
					{
                        if(productData[i]!=null)
                        {
                            if(productData[i].INTEGRATED_PRODUCT_NAME==null && !productData[i].IS_PRIMARY_PRODUCT)
                            {
                                productData[i]=null;
                                continue;
                            }
						productData[i].ICON_STYLE = productData[i].TAG_NAME.toLowerCase();   
                        }
					}
					self.set('PRODUCT_MODEL', productData); //No I18N
            }
			this.send('getIntegratedProductsStatus'); //No I18N
		},
		getIntegratedProductsStatus: function() {
			var self = this;
			var productData = null;
            var params = null;
            var updateProductDetails = false;
             AJAXUtil.ajax('/RestAPI/WC/JumpToAction?mTCall=getIntegratedProductsStatus',{params}).then(function(responseData){ //No I18N
                    productData = responseData;
					for (var i = 0; i < productData.length; i++) 
					{
						if(productData[i].INTEGRATED_PRODUCT_NAME==null && !productData[i].IS_PRIMARY_PRODUCT)
						{
							productData[i]=null;
							continue;
						}
						productData[i].ICON_STYLE = productData[i].TAG_NAME.toLowerCase();
					}
					self.set('PRODUCT_MODEL', productData); //No I18N
                    self.sendAction('getproductDowntime',productData); //No I18N
             });
		},
    }
});