/* $Id$ */
import Ember from 'ember'; // No i18n

//ignorei18n_start

export default Ember.Component.extend({
  tagName: '',

  didReceiveAttrs: function() {
    var givenProducts = this.getAttr('params').products;
    var products = [];
    for (var i = 0; i < givenProducts.length; i++) {
      var product = {};
      product.NAME = givenProducts[i].DISPLAY_NAME;
      product.TITLE = 'ads.reports.viewreports.promotion_subtitle_' + givenProducts[i].TAG_NAME;
      product.SUPPORTED_VERSION = givenProducts[i].SUPPORTED_VERSION;
      product.IS_INTEGRATED = givenProducts[i].IS_INTEGRATED;
      product.DOWNLOAD_URL = givenProducts[i].DOWNLOAD_URL;
      product.SERVICEPACK_URL = givenProducts[i].SERVICEPACK_URL;
      product.ICON_CLASS = 'icn-reports-itr-' + givenProducts[i].TAG_NAME.toLowerCase();
      products[products.length] = product;
    }
    this.set('products', products);
  },
  actions: {
    openLink: function(link) {
      window.open(link);
    },
    integrateNow: function(link, productName) {
      window.location.href = link + productName;
    }
  }
});

//ignorei18n_end
