/*
  $Id: ads-i18n.js,v 1.2.6.1 2018/12/03 16:35:36 kamalraj.d Exp $
*/

// Usage : {{i18n 'key' 'arg1' 'arg2'}}

import Ember from 'ember'; //NO I18N
import I18NUtil from "../utils/i18n-util"; //NO I18N

export default Ember.Helper.helper(
  function(params, hash) {
    var key = params[0];
    params.splice(0, 1);
    return Ember.String.htmlSafe(I18NUtil.translate(key, params));
  }
);