/* $Id: ads-service.js,v 1.4 2018/07/17 13:04:15 sornalakshmi.t Exp $ */
import Ember from 'ember'; //NO I18N
import AjaxUtil from "../utils/ads-ajax-util";//NO I18N

let globalObj = Ember.Object.extend({
  unknownProperty(key) {
  	return null;
  }
});

export default Ember.Service.extend({
	getGlobalDataValue: function(property) {
		return Ember.get(globalObj,property);
	},
	setGlobalDataValue: function(globalDataValue) {
		Ember.set(globalObj , "csrfParamName" , globalDataValue.CSRF_PARAM_NAME); //NO I18N
		Ember.set(globalObj , "csrfCookieVal" , globalDataValue.CSRF_COOKIE_VAL); //NO I18N
		
		//To set cookie param and value in AjaxUtil since ember initiate utilities before the service initiated.
		AjaxUtil.setCsrfCookie(globalDataValue.CSRF_PARAM_NAME,globalDataValue.CSRF_COOKIE_VAL);
	},
});
