/*
 * $Id: Hashtable.js,v 1.4 2015/12/08 04:47:58 suganya.sahadevan Exp $
 */

 Hashtable.prototype.hash         = null;	 
 Hashtable.prototype.keys         = null;	 
 Hashtable.prototype.count = null;	 
//TODO Need to redesign this hashtable frame work since....It looks like this Array of Hash can't be used...we need to use object...
 //TODO Since if we are giving key as 10 value as 10 then there will 9 undefined values in hash and then in 10th position there will 10 value
 //Need to check this solution
 /**
  * In this hashtable we are using Array as hash of values and Array as a hash of keys...
  * if the identifier for hash should be String..if it is a Number then it will be taken as an index that's wrong....
  * so we can give String type for Key...
  */
 function Hashtable(){	 
 	 
         this.hash = new Array();//Store the key vs value map as an object. Holds array of object.
         this.keys = new Array();//Store the keys alone as zero based index array.
         this.count = 0;	 //Mainitain the hash table count
 	 
 }	 
 Hashtable.prototype.get = function (key)	 
 {	 
	 if (typeof(this.hash[key]) == 'undefined' || typeof(this.hash[key]) == ''){
		 return '';
	 }
	 else
         return this.hash[key];	 
 }	 
 /** If the value or key is null then it will return undefined.
  * if the same key found the it will return the previous value and insert new value.   
  */
 Hashtable.prototype.put = function (key, value){	 
 	 key = key+""; //This is to convert as String since it should not be used as an index for the array
	 var oldValue; 
 	/* This has to accept the empty value ie. "" ..since this will be used in many places ...in our case we used for FcExecuteNamingFormat
 	 * namingFormattedNames will contains the <field,corresponding format value> this can be empty....it is better to allow empty values.
 	 */ 
    if (typeof(value) == 'undefined' || typeof(key)=='undefined' || key === "")	 //Hashtable will not accept empty key. in this if check ..if the key is Number it will always false..or if the key is String then it will return true only when the key is empty 
       return oldValue;	
    if (typeof(this.hash[key]) == 'undefined'){ 
        this.keys[this.keys.length] = key; //it may be used .
		this.count = this.count+1;	
	}
	else {
		oldValue = this.hash[key];
	}			
	this.hash[key] = value;	 	
	return oldValue;
 }
 Hashtable.prototype.keys = function(){
	 return this.keys;
 }
 Hashtable.prototype.size = function(){
	 return this.count;
 }
 Hashtable.prototype.remove = function(key){
	 this.keys.remove(key);
	 delete this.hash[key];
	 this.count = this.keys.length;
}
 //Construct the json formatted string with escaped(Escape json related spl char like \b\r\n... and encodeURIComponent)key and values.
 Hashtable.prototype.toJSONString = function(){
	 var resultString = "{";
	 for(var index=0; index< this.keys.length; index++){
		 if(index != 0) {
			 resultString +=",";	//NO I18N
			}
		 resultString += JSONUtil.getEncodedJSONStringWithQuotes(this.keys[index]);
		 resultString += ":";
		 resultString +=  JSONUtil.getEncodedJSONStringWithQuotes(this.hash[this.keys[index]]);
	 }
	 resultString += "}";
	 return resultString;
 }

Hashtable.prototype.contains = function(key){
	if (typeof(this.hash[key]) == 'undefined' || typeof(this.hash[key]) == ''){
		 return false;	
       	}
	else
        	return true;	 
}
 /*Hashtable.prototype.putAll = function(map){
	 var keysArray = map.keys;
	 for(var index=0;index<keysArray.length;index++){
		 var key = keysArray[index];
		 var value = map.hash[key];
		 this.put(key, value);
	 }
	 return this;
	 
 }*/
 
