/*
 *$Id$
 */
//ignorei18n_start      

function addScrollToDiv(id){
	adsjQuery(id).addClass("fwAddScroll");
	adsjQuery(id).removeClass("fwRemoveScroll");
	if(adsjQuery(id).mCustomScrollbar!=undefined){
		adsjQuery(id).mCustomScrollbar("update");
	}
}

function removeScrollFromDiv(id){
	adsjQuery(id).addClass("fwRemoveScroll");
	adsjQuery(id).removeClass("fwAddScroll");
	if(adsjQuery(id).mCustomScrollbar!=undefined){
		adsjQuery(id).mCustomScrollbar("disable");
	}
}

function showPop(fingerprint)
{
	adsjQuery('.smPopup').show(); //No I18N
	adsjQuery('.smPopupOverlay').show(); //No I18N
}

function hideLink()
{
	adsjQuery('#unlinker').hide();  //No I18N
	adsjQuery('#unlinker2').hide(); //No I18N
	adsjQuery('.smPopupOverlay').hide(); //No I18N
	adsjQuery('.smPopupOverlayAlert').hide(); //No I18N
	adsjQuery('#loadingDiv').hide(); //No I18N
}
function hideRegenAlert()
{
	adsjQuery('#successDiv').fadeIn(500);//No I18N
	adsjQuery('#successDiv').fadeOut(1000);//No I18N
	adsjQuery('#statusRegen').show();//No I18N
	adsjQuery('#unlinker').hide();  //No I18N
	adsjQuery('#unlinker2').hide(); //No I18N
	adsjQuery('.smPopupOverlay').hide(); //No I18N
	adsjQuery('.smPopupOverlayAlert').hide(); //No I18N
	adsjQuery('#loadingDiv').hide();//No I18N
}

function hideAlert()
{
	adsjQuery('#certExpAlert').hide(); //No I18N
	adsjQuery('.smPopupOverlayAlert').show(); //No I18N
	adsjQuery('#loadingDiv').show(); //No I18N
}

function hideDivs(e){
	if(adsjQuery(e.target).closest('.drop-down,.droppingdown,.fwConfigListMenu,.drop-down-filter,.droppingdownapps,.drop-down-provider,.fwDropDownProv,.drop-down-attrib,.fwAttrListDD,.fwIAMModuleDDSAML,.drop-down-map,.fwIAMModuleDD,.customClass,.customClassDD,.fwIAMHeader-search-box,#SEARCH_ICON,#MANAGE_LIST').length != 0) return true;
	adsjQuery('.drop-down,.fwConfigListMenu,.drop-down-filter,.droppingdownapps,.droppingdownapps-filter,.drop-down-provider,.drop-down-attrib,.fwDropDownProv,.drop-down-map,.fwAttrListDD,.fwIAMModuleDD,.fwIAMModuleDDSAML,.customClassDD,#CONFIG_LIST_MENU').hide();
	addScrollToDiv(".acAttrSrcBox");

	if(adsjQuery("#providerSearchBox").val()!=undefined && adsjQuery("#providerSearchBox").val().length==0 ){
		if (document.getElementById("providerSearchBox").style.display=="block" || document.getElementById("providerSearchBox").style.display=="inline-block"){
			toggleSearchBar();
		}
	}

}


function getCertificate()
{
	var shaMethod=docid("SHA_METHOD").value;
	window.location = 'IAMFileAction.do?methodToCall=downloadCertificate&shaMethod='+shaMethod;
}
function getMetadata()
{
	var shaMethod=docid("SHA_METHOD").value;
	var urlAppend=docid("URL_APPEND").value;
	window.location = 'IAMFileAction.do?methodToCall=downloadMetadata&shaMethod='+shaMethod+'&URL_APPEND='+urlAppend;
}
function generateNewCertificate()
{
	adsjQuery('#reGenBtn').val(jsTitleMsg.ads_iamapps_cert_regenerating_btn);
	adsjQuery('#progress_CertRegen').show();//No I18N
	var url = 'IAMAction.do?methodToCall=generateNewCertificate&selectedTab=configuration&selectedTile=IAMApps';
	AjaxAPI.sendRequest({URL:url,ONSUCCESSFUNC:hideRegenAlert});
}
function generateCertificate()
{
	jsTitleMsg= jsRb;
	$('#progress_CertRegenPopup').show();
	$('#regenrateCertText').val(jsTitleMsg.ads_iamapps_cert_generating_btn);
	var url = 'IAMAction.do?methodToCall=generateNewCertificate&selectedTab=configuration&selectedTile=IAMApps';
	AjaxAPI.sendRequest({URL:url,ONSUCCESSFUNC:showCertificate});
}
function showCertificate(response, reqOptions)
{
	jsTitleMsg= jsRb;
	$('#progress_CertRegenPopup').hide();	
	var samlCertProp = JSON.parse(response.transport.responseText);
	if(samlCertProp['STATUS']=='SUCCESS')
	{
		$('#fingerPrintHolder').val(samlCertProp['SAML_FINGERPRINT']);
		$('#fingerPrintHolder256').val(samlCertProp['SAML_FINGERPRINT']);
		$('.certificateGenRow').hide();
		$('.certificateRow').show();
		showSlideDownAlert('FORM_STATUS',jsTitleMsg.ads_iamapps_config_alert_success_generating_certificate,"success");
	}
	else
	{
		$('.certificateGenRow').hide();
		showSlideDownAlert('FORM_STATUS',jsTitleMsg.ads_iamapps_config_alert_error_generating_certificate,"error");
	}
}
function showCertRegenBtn()
{
	$('.certificateGenRow').show();
	$('.certificateRow').hide();
}
function copyToClipboard(element,id) {
	try
	{
		var $temp = adsjQuery("<input>");
		adsjQuery("body").append($temp);
		$temp.val(adsjQuery(element).val()).select();
		document.execCommand("Copy");
		$temp.remove();
		adsjQuery('#popLogin_'+id).fadeIn(500);
		adsjQuery('#popLogin_'+id).fadeOut(500);
	}
	catch(err)
	{
		adsjQuery(element).select();
		adsjQuery('#popAlert').fadeIn(500);
		adsjQuery('#popAlert').fadeOut(500);
	} 

}

function toggleListMenu(){
	var content = adsjQuery("#CONFIG_LIST_MENU");
	content.toggle('fast');
}

//document ready event
adsjQuery(document).ready(function(){ 

	adsjQuery(".content").on("click",(function(e){
		if(adsjQuery(e.target).parents('.fwIAMDropDown-td').size()==0)
		hideDivs(e);

	}));
	//
	adsjQuery('#IAMSettings').click(function(et) {    
		var name = adsjQuery(this).attr("name");
		var content = adsjQuery('.drop-down[name=' + name + ']');
		adsjQuery('.drop-down').not(content).hide('fast');
		content.slideToggle('fast'); 
		et.stopPropagation();
	});

	adsjQuery('#selProvDDLBox').click(function(el) {    
		hideDivs(this);
		var name = adsjQuery(this).attr("name");
		var content = adsjQuery('#providerList[name=' + name + ']');
		adsjQuery('#providerList').not(content).hide('fast');
		content.slideToggle('fast');
		el.stopPropagation();
	});

	adsjQuery('#selProvDDConfigBox').click(function(el) {    
		hideDivs(this);
		var name = adsjQuery(this).attr("name");
		var content = adsjQuery('#HOST_DETAILS_DIV .drop-down-provider');
		adsjQuery('#HOST_DETAILS_DIV .drop-down-provider').not(content).hide('fast');
		//  content.slideToggle('fast');
		el.stopPropagation();
	});
	//
	adsjQuery('.sel-acc-field,.pro-attrib').on('click','.fwIAMAccAttrib',function(en) {
		var name = adsjQuery(this).attr("name");
		var visible = adsjQuery('.fwAttrListDD[name=' + name + ']').is(":visible");
		hideDivs(this);
		var left = adsjQuery(this).offset().left+"px";
		var top = adsjQuery(this).offset().top+22+"px";

		var content = adsjQuery('.fwAttrListDD[name=' + name + ']');
		adsjQuery('.fwAttrListDD').not(content).hide('fast');
		if(visible==true)
		{
			content.slideUp('fast');
		}
		else
		{
			content.slideDown('fast');
		}
		adsjQuery(".fwAttrListDD").css({"position":"fixed","left":left,"top":top});

		if(adsjQuery(".attributes").hasClass("fwRemoveScroll")){
			addScrollToDiv(".acAttrSrcBox");
		}
		else{
			removeScrollFromDiv(".acAttrSrcBox");
		}

		en.stopPropagation();
	});
	//
	adsjQuery('.att-attrib,.pro-attrib').click(function(ent) {          
		var name = adsjQuery(this).attr("name");
		var content = adsjQuery('.drop-down-attrib[name=' + name + ']');
		adsjQuery('.drop-down-attrib').not(content).hide('fast');
		content.slideToggle('fast');
	});

	adsjQuery('#selProvDDConfigBox').click(function(ent) {          
		var content = adsjQuery("#CONFIG_LIST");
		adsjQuery("#CONFIG_LIST").not(content).hide('fast');
		content.slideToggle('fast');
	});


	//
	adsjQuery('.att-mapping-tbl').on('click','.att-attrib',function(t) {          
		var name = adsjQuery(this).attr("name");
		var content = adsjQuery('.drop-down-map[name=' + name + ']');
		adsjQuery('.drop-down-map').not(content).hide('fast');
		content.slideToggle('fast');
		t.stopPropagation();
	});




	adsjQuery(".filter-overflow li a").click(function(){
		adsjQuery(".showSelected").text(adsjQuery(this).text());
		adsjQuery(".drop-down-filter").hide();
	});

	adsjQuery(".cli-o li a").click(function(){  
		adsjQuery(".showSelected-t").text(adsjQuery(this).text());

	});

	adsjQuery(".cli-tw li a").click(function(){

		adsjQuery(".showSelected-th").text(adsjQuery(this).text());

	});

	adsjQuery(".cli-fo li a").click(function(){

		adsjQuery(".showSelected-fi").text(adsjQuery(this).text());

	});

	adsjQuery(".cli-fi li a").click(function(){

		adsjQuery(".showSelected-sx").text(adsjQuery(this).text());

	});

	adsjQuery(".cli-sx li a").click(function(){

		adsjQuery(".showSelected-svn").text(adsjQuery(this).text());

	});
	adsjQuery('#MsgButtons').click(function(){
		adsjQuery("html").css("overflow","");
	});


});


function searchProviders(flag){

	if(flag!=undefined && flag){
		adsjQuery("#providerSearchBox").val('');
	}

	adsjQuery("#empty_alert1").css("display","none");
	resetList("providersBig");
	resetList("providersSmall");
	var count=searchList("providersBig");

	if(count==0){
		adsjQuery("#empty_alert1").css("display","block");
		//adsjQuery(document).ready(function(){adsjQuery('#empty_alert1').slideDown(500);});
		//setTimeout(function(){ adsjQuery(document).ready(function(){adsjQuery('#empty_alert1').slideUp(1200);}); }, 3000);
	}
	else{
		adsjQuery("#empty_alert1").css("display","none");
		adsjQuery(document).ready(function(){adsjQuery('#empty_alert1').slideUp(0);});
	}

	count=searchList("providersSmall");
}

function searchList(id){
	var count=0;
	var searchText=adsjQuery("#providerSearchBox").val();
	searchText=searchText.toLowerCase().replace(/ /g,'');
	var listOfProviders = document.getElementById(id).getElementsByTagName("a");
	for(var i=0;i<listOfProviders.length;i++){
		var provider=adsjQuery(listOfProviders[i]).find("li");
		var provName=adsjQuery(listOfProviders[i]).find("p").text();
		provName=provName.toLowerCase().replace(/ /g,'');
		if(provName.indexOf(searchText)<0) {
			adsjQuery(listOfProviders[i]).css("display","none");
		}
		else
		{count++;}
	}
	return count;
}

function pop(div) {
	if(div=='accMap'){
		resetAccMapping();
	}
	document.getElementById(div).style.display = 'block';
	adsjQuery('.drop-down').hide();
	window.scrollTo(0,0);
	document.body.style.overflow = 'hidden';
}
function hide(div) {
	document.getElementById(div).style.display = 'none';
	document.body.style.overflow = 'auto';
}
//To detect escape button
document.onkeydown = function(evt) {
	evt = evt || window.event;
	if (evt.keyCode == 27) {
		hide('attMap');
		hide('');
	}
};

function resetList(id){
	var listOfProviders = document.getElementById(id).getElementsByTagName("a");
	for(var i=0;i<listOfProviders.length;i++){
		adsjQuery(listOfProviders[i]).css("display","block");
	}
}

function loadConfig(appId,appName)
{
	var url="IAMAction.do?methodToCall=view&selectedTab=configuration&selectedTile=IAMApps&TYPE=Ajax&APP_ID="+appId+"&APP_NAME="+appName;//No I18N
	var params='config=true'; //No I18N
	AjaxAPI.sendRequest({URL:url,ONSUCCESSFUNC:loadConfigPage,PARAMETERS:params});
}
function loadNewConfig(url)
{
	var params='config=true'; //No I18N
	AjaxAPI.sendRequest({URL:url,ONSUCCESSFUNC:loadConfigPage,PARAMETERS:params});
}

function showSlideDownAlert(id,msg,type){

	if(type=="success")
	{
		statusStyle = "adssuccessStatusMsg";//NO I18N
		iconStyle = "adssuccessSmallIcon";//NO I18N
	}
	else
	{
		statusStyle = "adserrorStatusMsg";//NO I18N
		iconStyle = "adsfailureSmallIcon";//NO I18N
	}

	adsjQuery('#'+id).attr('class','adsfntFamily adsfontSize11 '+statusStyle);
	adsjQuery("#"+id+" div:nth-child(1)").attr('class','adsflLeft '+iconStyle);//NO I18N
	adsjQuery("#"+id+" div:nth-child(2)").html(msg);
	adsjQuery('#'+id).css("margin-left","125px");
	adsjQuery('#'+id).css("margin-top","0px");
	adsjQuery('#'+id).css("width","425px");
	adsjQuery('#'+id).find(".adsflLeft:nth-child(2)").css("width","auto");

	adsjQuery('#'+id).hide();

	adsjQuery(document).ready(function(){adsjQuery('#'+id).slideDown(500);});
	//setTimeout(function(){ adsjQuery(document).ready(function(){adsjQuery('#'+id).slideUp(1200);});}, 3000);
}


function getSelectedTextFromList(name){
	return adsjQuery("div[name="+name+"] label").text().trim();
}
function setSelectedTextFromList(name,value,title){
	adsjQuery("div[name="+name+"] label").text(value);
	adsjQuery("div[name="+name+"] label").attr("title",title);
	adsjQuery("#MAPPED_DOMAIN").val(title)
		adsjQuery(".drop-down-attrib").css("display","none");
	adsjQuery(".fwAttrListDD").css("display","none");
	adsjQuery(".drop-down-domains").css("display","none");
	updateADFormat();
}

function showADSAlert(msg){
	jsRb=jsTitleMsg;
	DialogBox.alert('',msg);
	adsjQuery("#OK").text(jsTitleMsg.ads_iamapps_config_alert_ok);
	return false;
};

function toggleSearchBar(){  
	var form = adsjQuery('.fwIAMHeader-search-box');
	var clea = adsjQuery('.clear_input');
	if (form.is(':hidden')) {
		form.show().focus()
	}
	else{
		if(adsjQuery("#providerSearchBox").val()!=undefined && adsjQuery("#providerSearchBox").val().length!=0 ){
			return;
		}
	}
	form.animate({
		'width': form.width() >= 1 ? '0px' : '162px'
	}, 'fast', function() {
		if (form.width() <= 1) {
			clea.hide();
			form.hide();
		}
		else{
			form.show();
		}
	});
}


function setCustomScrollBar(){
	adsjQuery("#accProviderList").mCustomScrollbar({
		theme:"minimal-dark",
		scrollInertia:60
	});
	adsjQuery(".attribList").mCustomScrollbar({
		theme:"minimal-dark",
		scrollInertia:60
	});
	adsjQuery(".acAttrSrcBox").mCustomScrollbar({
		theme:"minimal-dark",
		axis:"y"
	});   
}


adsjQuery(window).load(function(){

	adsjQuery.fn.clearSearch = function(options) {
		var settings = adsjQuery.extend({
			'clearClass' : 'clear_input',
		    'focusAfterClear' : true,
		    'linkText' : '&times;'
		}, options);
		return this.each(function() {
			var $this = adsjQuery(this), btn,
		       divClass = settings.clearClass + '_div';

		if (!$this.parent().hasClass(divClass)) {
			$this.wrap('<div style="position: relative;" class="' + divClass + '"></div>');
			//$this.after('<a onclick="searchProviders(true)" style="position: absolute; cursor: pointer;" class="'
			// + settings.clearClass + '">' + settings.linkText + '</a>');
		}
		btn = $this.next();

		function clearField() {

			$this.val('').change();
			triggerBtn();
			if (settings.focusAfterClear) {
				$this.focus();
			}
			if (typeof (settings.callback) === 'function') {
				settings.callback();
			}
		}

		function triggerBtn() {

			if (hasText()) {
				btn.show();
			} else {
				btn.hide();
			}
			update();
		}

		function hasText() {
			return $this.val().replace(/^\s+|\s+$/g, '').length > 0;
		}

		function update() {
			var width = $this.outerWidth(), height = $this
				.outerHeight();
			btn.css({
				top: height / 2 - btn.height() / 1.9,
				left : width - height / 2 - btn.height() / 2
			});
		}

		if ($this.prop('autofocus')) {
			$this.focus();
		}

		btn.on('click', clearField);
		$this.on('keyup keydown change focus', triggerBtn);
		triggerBtn();
		});
	};
	setCustomScrollBar();
	adsjQuery('.cleara').clearSearch({ callback: function() {  } } );

});


function filterApp(curtype,selectedtype){
	if(curtype == selectedtype)
	{
		localStorage.setItem('appType','all');
		return;
	}
	//localStorage.setItem('appType',selectedtype);
	var url = "IAMAction.do?methodToCall=view&selectedTab=configuration&selectedTile=IAMApps&appType=" + selectedtype;
	SubmitCsrfForm(url);

}
function enableSAMLURL(){
	if(adsjQuery('#SSO').attr('checked') == undefined)
		adsjQuery('#SAML_URL').attr('disabled',true);
	else
		adsjQuery('#SAML_URL').attr('disabled',false);
}

function showModuleDD(){
	adsjQuery('.fwIAMModuleDD').slideToggle();

}
function showModuleDDSAML()
{
	adsjQuery('.fwIAMModuleDDSAML').slideToggle(1);
}
bigHeight = -1;
bigWidth = -1;
smallHeight = -1;
smallWidth = -1;
bigLogoHeight=40;
bigLogoWidth=125;
smallLogoHeight=50;
smallLogoWidth=50;
function setCustomSPBigLogoDimensions()
{
	adsjQuery('#uploadAppBigLogoName').val('');
	bigHeight = -1;
	bigWidth = -1;
	var image = document.getElementById("CUSTOM_APP_LOGO_BIG");//NO I18N
	var file = image.files[0]; 
	if(file!=undefined)
	{
		adsjQuery('#uploadAppBigLogoName').val(file.name);//NO I18N
		var ext = new RegExp("([a-zA-Z0-9\s_\\.\-:])+(.jpg|.png|.jpeg|.gif)$");//NO I18N
		if (ext.test(image.value.toLowerCase())) 
		{
			var reader = new FileReader();
			reader.readAsDataURL(image.files[0]);
			reader.onload = function (e) 
			{
				var image = new Image();
				image.src = e.target.result;                      
				image.onload = function () 
				{
					bigHeight = this.height;
					bigWidth = this.width;
				};
			}
		}
		else
		{
			var ext = new RegExp("(.jpg|.png|.jpeg|.gif)$");//NO I18N
			if (ext.test(image.value.toLowerCase())) 
			{
				adsjQuery('#uploadAppBigLogoName').val('');
			}
		}
	}
}
function setCustomSPSmallLogoDimensions()
{
	adsjQuery('#uploadAppSmallLogoName').val('');
	smallHeight = -1;
	smallWidth = -1;
	var image = document.getElementById("CUSTOM_APP_LOGO_SMALL");//NO I18N
	var file = image.files[0];  
	if(file!=undefined)
	{
		adsjQuery('#uploadAppSmallLogoName').val(file.name);//NO I18N
		var ext = new RegExp("([a-zA-Z0-9\s_\\.\-:])+(.jpg|.png|.jpeg|.gif)$");//NO I18N
		if (ext.test(image.value.toLowerCase())) 
		{
			var reader = new FileReader();
			reader.readAsDataURL(image.files[0]);
			reader.onload = function (e) 
			{
				var image = new Image();
				image.src = e.target.result;                      
				image.onload = function () 
				{
					smallHeight = this.height;
					smallWidth = this.width;
				};
			}
		}
		else
		{
			var ext = new RegExp("(.jpg|.png|.jpeg|.gif)$");//NO I18N
			if (ext.test(image.value.toLowerCase())) 
			{
				adsjQuery('#uploadAppSmallLogoName').val('');
			}
		}
	}
}

function isValidSPLogo(fileName,uploadedImgSize) 
{
	var allowedFiles="jpg,jpeg,bmp,png,gif";   //No I18N
	var allowedSize=1024*1024;
	var ext="";
	if(fileName != "" && fileName.lastIndexOf(".") > 0)	
	{	
		ext = fileName.substring(fileName.lastIndexOf(".") + 1, fileName.length) ; 
		if(ext !="" && allowedFiles.indexOf(ext.toLowerCase()) == -1)
		{
			messageType="error";	  //No I18N
			statusMessage=jsTitleMsg.ads_iamapps_config_alert_sp_logo_upload_invalid_format;
			return false;
		}
		else if(window.File && window.FileList && window.FileReader)
		{
			if((uploadedImgSize / allowedSize) > parseInt("2"))
			{
				messageType="error"; //No I18N
				statusMessage=jsTitleMsg.ads_iamapps_config_alert_sp_logo_upload_size_exceeded;
				return false;
			}
		}
	}
	messageType="success"; //No I18N
	statusMessage=jsTitleMsg.adssp_export_settings_success;	
	return true;
}
function isAllowedSPBigImgSize()
{
	if (bigHeight > bigLogoHeight || bigWidth > bigLogoWidth) 
	{			
		messageType="error"; //No I18N
		statusMessage=jsTitleMsg.ads_iamapps_config_alert_sp_big_logo_upload_dimensions_exceeded;
		return showADSAlert(statusMessage);               
	}	
	var fileName = document.forms["CUSTOM_SAML_APP"].CUSTOM_APP_LOGO_BIG.value;
	if(fileName!=null && fileName!='')
	{
		var uploadedImgSize = parseInt(document.forms["CUSTOM_SAML_APP"].CUSTOM_APP_LOGO_BIG.files[0].size);
		if(!isValidSPLogo(fileName,uploadedImgSize))
		{
			return showADSAlert(statusMessage);
		}
	}
	return true;
}
function isAllowedSPSmallImgSize()
{
	if (smallHeight > smallLogoHeight || smallWidth > smallLogoWidth) 
	{		
		messageType="error"; //No I18N
		statusMessage=jsTitleMsg.ads_iamapps_config_alert_sp_small_logo_upload_dimensions_exceeded;
		showADSAlert(statusMessage);               
		return false;
	}	
	var fileName = document.forms["CUSTOM_SAML_APP"].CUSTOM_APP_LOGO_SMALL.value;
	if(fileName!=null && fileName!='')
	{
		var uploadedImgSize = parseInt(document.forms["CUSTOM_SAML_APP"].CUSTOM_APP_LOGO_SMALL.files[0].size);
		if(!isValidSPLogo(fileName,uploadedImgSize))
		{
			return showADSAlert(statusMessage);
		}
	}
	return true;
}
function setSSOMode(el){
	if(docid("SP_SSO").checked && !docid("IDP_SSO").checked)
	{
		adsjQuery('#IS_IDP_INITIATED_FLOW').val("false");//No I18N
		adsjQuery('#CONFIG_BIT').val("5");//No I18N
	}
	if(!docid("SP_SSO").checked && !docid("IDP_SSO").checked)
	{
		alertMsg(jsTitleMsg.ads_iamapps_custom_saml_choose_sso_mode); //No I18N
		if(el!= undefined)el.checked= true;
		return;
	}
	var checkedSSOMode = adsjQuery('input[name="selectedSSOMode"]:checked');
	var allSSOModes = adsjQuery('input[name="selectedSSOMode"]');
	var concatSSOModes="",ssoModeIds="";

	for(var i=0;i<checkedSSOMode.length;i++){
		if(i==0)
		{
			concatSSOModes=checkedSSOMode[i].value;
			ssoModeIds=checkedSSOMode[i].id;
		}
		else
		{
			concatSSOModes=concatSSOModes+", "+checkedSSOMode[i].value;
			ssoModeIds=ssoModeIds+","+checkedSSOMode[i].id;
		}
	}
	if(checkedSSOMode.length==0){
		adsjQuery('#SSOModelist label').text("-");
	}
	else if(checkedSSOMode.length==allSSOModes.length){
		adsjQuery('#SSOModelist label').text(jsTitleMsg.ads_iamapps_custom_saml_both_sp_idp);
	}
	else {
		adsjQuery('#SSOModelist label').text(concatSSOModes);
	}
}
function addNewApp()
{
	var url="IAMAction.do?methodToCall=view&selectedTab=configuration&selectedTile=IAMApps";//No I18N
	/*document.forms[0].action=url;
	  document.forms[0].submit();*/
	CreateAndSubmitForm(url,window.parent.name,"CUSTOM_APP_CREATE=true");
}
function updateAccMap()
{
	adAccFormatUpdated = adsjQuery('#AD_ACC_FORMAT').val();
	excludeHostName = !docid("optionI").checked;
}
function isValidFile(fileName)
{
	var allowedFiles="csv";   //No I18N
	var ext="";
	if(fileName != "" && fileName.lastIndexOf(".") > 0)	
	{	
		ext = fileName.substring(fileName.lastIndexOf(".") + 1, fileName.length) ; 
		if(ext !="" && allowedFiles.indexOf(ext.toLowerCase()) == -1)
		{
			return false;
		}
		return true;
	}
}
function showNoPolicyMappedAlert()
{
	return showADSAlert('No policy are mapped. Configured policy are deleted..');
}
//ignorei18n_end
