/*
 * $Id$
 */
function navigateToURL(url)
{
	SubmitCsrfForm(url); //No I18N
}

function showAlertBox(msg,isConfirmBox,functionName,params)
{
	// isConfirmBox - true: confirmbox false: alertbox
	// actionFunctionName - function to be performed on 'ok'
	ftjQuery('#AlertBox_DeployApps p span').text(msg); //NO I18N
	if(isConfirmBox!=undefined && isConfirmBox)
	{
		ftjQuery('#AlertBox_DeployApps .modal-footer .okBtn').removeAttr("data-dismiss"); //NO I18N
		ftjQuery('#AlertBox_DeployApps .modal-footer .okBtn').attr("onclick","javascript:"+functionName+"('"+params+"')");//NO I18N
		ftjQuery('#AlertBox_DeployApps .confirmBoxTitle').show();//NO I18N
		ftjQuery('#AlertBox_DeployApps .alertBoxTitle').hide();//NO I18N
		ftjQuery('#AlertBox_DeployApps .modal-footer .cancelBtn').show();//NO I18N
	}
	else
	{
		ftjQuery('#AlertBox_DeployApps .modal-footer .okBtn').attr("data-dismiss","modal");//NO I18N
		ftjQuery('#AlertBox_DeployApps .modal-footer .okBtn').removeAttr("onclick");//NO I18N
		ftjQuery('#AlertBox_DeployApps .alertBoxTitle').show();//NO I18N
		ftjQuery('#AlertBox_DeployApps .confirmBoxTitle').hide();//NO I18N
		ftjQuery('#AlertBox_DeployApps .modal-footer .cancelBtn').hide();//NO I18N
	}
	//ftjQuery('#AlertBox_DeployApps').modal('show');	//NO I18N
	ftjQuery('#AlertBox_DeployAppsBtn').trigger('click');//NO I18N
}

function resetCheckBox()
{
	usrGUID = [];
}

function onLoadFun()
{
	changeTabs('allusers','loadUsers');//No I18N
	document.getElementById('policyId').value = 'default'; //No I18N
}

function openPop(showSummary)
{
	ftjQuery('#DOMAIN_NAME').val(ftjQuery('#DOMAIN_NAME').val());//No I18N
	PopupPrerequisite();
	if(showSummary)
		PopupSelection.openPopup('6',true,true);
	else
		PopupSelection.openPopup('6',false,true);
}
function openPopSchedulers(showSummary)
{
	popupDomainName = ftjQuery('#selectedDomain').attr("val");//No I18N
	if(showSummary)
		PopupSelection.openPopup('6',true,true);
	else
		PopupSelection.openPopup('6',false,true);
}

function validateRegistrationFields()
{
	var adminName = docid('ADMIN_NAME').value.trim(); //No I18N
	var adminEmail = docid('MAIL_DOMAIN').value.trim(); //No I18N
	var serverName = docid('SERVER_NAME').value.trim(); //No I18N
	var portNo = docid('SERVER_PORT').value.trim(); //No I18N
	
	if(!adminName || adminName.length==0 || !adminEmail || adminEmail.length==0 ||!serverName || serverName.length==0||!portNo || portNo.length==0)
	{
		showMPMStatus(jsTitleMsg.adssp_common_text_enter_field_empty,'error','popup',1,true,true); //No I18N
		return false;
	}

	if((/^\w+([\.\-]\w+)*\.\w{2,4}$/i).test(adminEmail) == false)
	{
		showMPMStatus(jsTitleMsg.ads_configuration_mdm_not_valid_mail_domain,'error','popup',2,true,true); //No I18N
		return false;
	}
	if(!isValidMDMHost(serverName))
	{
		showMPMStatus(jsTitleMsg.ads_configuration_mdm_not_valid_host,'error','popup',2,true,true); //No I18N
		return false;
	}
	if(!isNumber(portNo))
	{
		showMPMStatus(jsTitleMsg.adssp_config_management_custom_text_port_no_valid_msg,'error','popup',2,true,true); //No I18N
		return false;
	}
	else
	{
		var portNum = parseInt(portNo);
		if(portNum < 1025 || portNum > 65535)
		{
			if(portNum==443||portNum==80)
			{
				//Predefined ports for https and http protocols
				return true;
			}
			showMPMStatus(jsTitleMsg.adssp_config_management_custom_text_port_no_valid_msg,'error','popup',2,true,true); //No I18N
			return false;
		}
	}	
	return true;
}

var isRegisterOp = false;

function registerOrganization()
{
	if(validateRegistrationFields())
	{
		var selectedProtocol = docid('PROTOCOL').innerHTML.replace("://","");
		var url = "DeploymentSetup.do?selectedTab=configuration&selectedTile=MobileAppDeployment&methodToCall=registerOrganization"; //No I18N
		var params = "MAIL_DOMAIN=" + docid('MAIL_DOMAIN').value + "&ADMIN_NAME=" + docid('ADMIN_NAME').value + "&SERVER_NAME=" + docid('SERVER_NAME').value + "&SERVER_PORT=" + docid('SERVER_PORT').value + "&SERVER_PROTOCOL=" + selectedProtocol; //No I18N
		AjaxAPI.sendRequest({URL: url, PARAMETERS: params, ONSUCCESSFUNC:updateTrailConfigData});
		document.getElementById('trailConfigRegBtn').disabled = true;
		//document.getElementById('MDMTrailConfig').style.cursor = 'wait';
		docid('regBtnLoader').style.display="inline-block"; 	//NO I18N
		if(!this.isMPMConfigured){
			isRegisterOp = true;
		}
	}
	return false;
}

function fetchTrailConfiguration()
{
	var url = "DeploymentSetup.do?selectedTab=configuration&selectedTile=MobileAppDeployment";//No I18N
	var params = "";
	AjaxAPI.sendRequest({URL:url,PARAMETERS:params,ONSUCCESSFUNC:loadTrailConfigPopup}); 
}

function loadTrailConfigPopup(response)
{
	//For handling session timeout
	if(response.transport.responseText.indexOf('isLoginPage') > -1){ //No I18N
		location.href = "../";	  //No I18N
		return;
	}

	updateTrailConfigData(response);
	openTrailConfigPopup();
}

function updateTrailConfigData(response)
{
	//For handling session timeout
	if(response.transport.responseText.indexOf('isLoginPage') > -1){ //No I18N
		location.href = "../";	  //No I18N
		return;
	}
	
	docid('regBtnLoader').style.display="none"; 	//NO I18N
	document.getElementById('trailConfigRegBtn').disabled = false;
	var jsonObject = response.transport;
	var mdmConfig = JSON.parse(jsonObject.responseText);
	
	if(mdmConfig.hasOwnProperty("sSTATUS"))
	{
		document.getElementById('trailConfigRegBtn').innerText = this.updateText; //No I18N
	}
	else
	{
		isRegisterOp = false;
	}

	if(mdmConfig.hasOwnProperty("sSTATUS"))
	{ 
		showMPMStatus(mdmConfig.sSTATUS,'success','popup',3,true,true); //No I18N
	}
	if(mdmConfig.hasOwnProperty("eSTATUS"))
	{
		showMPMStatus(mdmConfig.eSTATUS,'error','popup',3,true,true); //No I18N
	}

    if(mdmConfig.hasOwnProperty("PROTOCOL"))
    {
    	document.getElementById("PROTOCOL").innerHTML = mdmConfig.PROTOCOL;
    }
    else
    {
		document.getElementById("PROTOCOL").innerHTML = docid("PROTOCOL").getAttribute('data-txt'); //No I18N
    }
    if(mdmConfig.hasOwnProperty("SERVER_NAME")){ document.getElementById("SERVER_NAME").value = mdmConfig.SERVER_NAME; }else{ docid("SERVER_NAME").value = docid("SERVER_NAME").getAttribute('data-txt'); }
    if(mdmConfig.hasOwnProperty("PORT")){ document.getElementById('SERVER_PORT').value = mdmConfig.PORT; }else{ docid("SERVER_PORT").value = docid("SERVER_PORT").getAttribute('data-txt'); }
    if(mdmConfig.hasOwnProperty("ADMIN_NAME")){ document.getElementById("ADMIN_NAME").value = mdmConfig.ADMIN_NAME; }else{ docid("ADMIN_NAME").value = ""; }
	if(mdmConfig.hasOwnProperty("MAIL_DOMAIN")){ document.getElementById("MAIL_DOMAIN").value = mdmConfig.MAIL_DOMAIN; document.getElementById("MAIL_DOMAIN").readOnly = true;}else{ docid("MAIL_DOMAIN").value = ""; }
}

function openTrailConfigPopup()
{ 
	//ftjQuery('#MDMTrailConfig').modal('show');
	ftjQuery('#MDMTrailConfigBtn').trigger('click'); //NO I18N
}

function closeTrailConfigPopup()
{
	if(document.getElementById('status-areapopup')!=null)
		document.getElementById('status-areapopup').style.display = 'none';
	if(isRegisterOp)
	{
		isRegisterOp = false;
        navigateToURL('MobileAppDeployment.do?selectedTab=configuration&selectedTile=MobileAppDeployment'); //No I18N
	}
	document.getElementById("ADMIN_NAME").value = "";
	document.getElementById("MAIL_DOMAIN").value = "";
}

function clearIframe()
{
	var iframe = document.getElementById("changeUserFrame");
	var emptyHtml = "";
	iframe.contentWindow.document.open();
	iframe.contentWindow.document.write(emptyHtml);
	iframe.contentWindow.document.close();
}

function scrollToTop()
{
	$('html,body').animate({scrollTop:0}, 'slow'); //No I18N
}

// Check Valid host with context path ( Address/Name ).  Valid address could be both IPV4 and IPV6 
function isValidMDMHost(val)
{
	// IP Macro checking
	if(/^[0-9][0-9\.\*]+[0-9\.\*]+$/.test(val) && ! /^[0-9]+$/.test(val) )
	{
		return isValidIPMacro(val);
	}
	else
	{
		return isValidServerNameWithContext(val);
	}
}

function isValidServerNameWithContext(val)
{
	return /^[a-zA-Z0-9][a-zA-Z0-9\-\.:%]*(\/[a-zA-Z0-9][a-zA-Z0-9\-\.:%]*)*$/.test(val);
}

