/**
 * $Id$
 */

SummaryView = function(){
}
SummaryView.getSummaryView = function(){
	var list = "";
	this.updatedList = new Hashtable();
	for(var i=0;i<popup.tabsList.length;i++)
	{
		var valArr = new Array();	//Need to hold tab to values map
		var tempList = new Hashtable(); 
		for(var j=0;j<popup.tabsList[i].selectedList.keys.length;j++)
		{
			tempList.put(popup.tabsList[i].selectedList.keys[j],popup.tabsList[i].selectedList.get(popup.tabsList[i].selectedList.keys[j]));	
			valArr[j] = popup.tabsList[i].selectedList.keys[j];
		}
		var comma = (list.length == 0) ? "" : ",";
		list += comma + "\"" + popup.tabsList[i].tabId + "\":" + tempList.toJSONString();
		this.updatedList.put(popup.tabsList[i].tabId,valArr);
	}
	list = "{" + list + "}";
	var params = "selectedObjects=" + list + '&isFlatTheme=' + popup.isFlatTheme; //No I18N
	AjaxAPI.sendRequest({URL:"ADSPopupAction.do?methodToCall=getSummaryView",PARAMETERS:params,ONSUCCESSFUNC:"SummaryView.viewUI", ONFAILUREFUNC:"SummaryView.showError",OPSTATUSID:"popupLoadingDiv",OPSTATUSTYPE:"", OPSTATUSMESSAGE: "Loading ...", OPSTATUSLOADINGCLASS: "templateLoadingmessage", OPSTATUSLOADEDCLASS: "templateLoadedmessage "});	//NO I18N
}
SummaryView.viewUI = function(response,requestOptions){
	adsjQuery('#dialogTitle_'+popup.dialogBox.dialogId).text(jsTitleMsg["adssp_common_text_summary_view"]);	//NO I18N
	adsjQuery('#summaryView').html(response.responseText);	//No I18N
	adsjQuery('#summaryView').show();//No I18N
	if(popup.isFlatTheme)
		adsjQuery('#summaryBackBtn_'+popup.dialogBox.dialogId+ ' .back-to-list').removeClass('hide').addClass('show');//No I18N
	adsjQuery('#PopupDiv').hide();//No I18N
	for(var i=0;i<popup.tabsList.length;i++){
		var tabId = popup.tabsList[i].tabId;
		if(adsjQuery('#sumarryViewAll_'+tabId).length != 0){
			var tabName = adsjQuery.trim(adsjQuery('#tabLink div[id="tabLinkId_'+tabId+'"]').text());		//NO I18N
			adsjQuery('#summaryResultDiv').find('#header_'+tabId).text(tabName);				//NO I18N
		}
	}
	if(!popup.isFlatTheme)
		SummaryView.updateSelectAll();
}
SummaryView.showError = function(){
	if(!popup.isFlatTheme)
		alertMsg(jsTitleMsg.unknown_error);	//No I18N
	else
	{
		DialogBox.closeDialog();
		showAlertBox(jsTitleMsg.unknown_error);
	}
}
SummaryView.showPrevUI = function(){
	adsjQuery('#PopupDiv').show();//No I18N
	adsjQuery('#summaryView').hide();//No I18N
	if(popup.isFlatTheme)
	{
		adsjQuery('#summaryBackBtn_'+popup.dialogBox.dialogId+ ' .back-to-list').removeClass('show').addClass('hide');//No I18N
	}
	PopupSelection.setPopupTitle();//No I18N
	popup.currentTab.currentAFO.currentPDM.updateListToUI();
}
SummaryView.updateSummaryViewList = function(obj){
	if(popup.isFlatTheme)
	{
		this.updateSummaryViewListFT(obj);
		SummaryView.updateSelectAllFT($(obj).attr('tabId'));
		return;
	}
	var count = adsjQuery('#selectedSummaryCount').html();	//No I18N
	for(var i=0;i<popup.tabsList.length;i++)
	{
		var popupSelectedList = popup.tabsList[i].selectedList;
		var popupUnSelectedList = popup.tabsList[i].unSelectedList;
		if(!obj.checked)
		{
			if(popupSelectedList.get(obj.value))
			{
				popupSelectedList.remove(obj.value);
				popupUnSelectedList.put(obj.value,obj.getAttribute("uniquedisplaycolumn"));
				popup.tabsList[i].getDefaultAfo().getDefaultPDM().isLoaded = false;	//When we click summary view from different afo values will not be uploaded
				count--;
				break;
			}
		}
		else
		{
			var tabSelectedList = this.updatedList.get(popup.tabsList[i].tabId);
			if(tabSelectedList.contains(obj.value))
			{
				if(!popupSelectedList.get(obj.value))
				{
					count++;
					popupSelectedList.put(obj.value,obj.getAttribute("uniquedisplaycolumn"));
					popupUnSelectedList.remove(obj.value);
				}
				popup.tabsList[i].getDefaultAfo().getDefaultPDM().isLoaded = false;	//When we click summary view from different afo values will not be uploaded
				break;
			}
		}
	}
	adsjQuery('#selectedSummaryCount').html(count);	//No I18N
	SummaryView.updateSelectAll();
}
SummaryView.updateSummaryViewListFT = function(obj){
	var count = adsjQuery('#selectedSummaryCount').html();	//No I18N
	for(var i=0;i<popup.tabsList.length;i++)
	{
		var popupSelectedList = popup.tabsList[i].selectedList;
		if(!obj.checked)
		{
			if(popupSelectedList.get(obj.value))
			{
				popupSelectedList.remove(obj.value);
				popup.tabsList[i].getDefaultAfo().getDefaultPDM().isLoaded = false;	//When we click summary view from different afo values will not be uploaded
				count--;
				break;
			}
		}
		else
		{
			var tabSelectedList = this.updatedList.get(popup.tabsList[i].tabId);
			if(tabSelectedList.contains(obj.value))
			{
				if(!popupSelectedList.get(obj.value))
				{
					count++;
					popupSelectedList.put(obj.value,obj.getAttribute("uniqueDisplayColumn"));
				}
				popup.tabsList[i].getDefaultAfo().getDefaultPDM().isLoaded = false;	//When we click summary view from different afo values will not be uploaded
				break;
			}
		}
	}
	adsjQuery('#selectedSummaryCount').html(count);	//No I18N
}
SummaryView.selectAllLists = function(tabId){
	adsjQuery('#summaryResultDiv input:checkbox[tabId="'+tabId+'"]').each(function(){	//No I18N
		if(adsjQuery('#sumarryViewAll_'+tabId).attr("checked"))
		{
			adsjQuery(this).attr("checked",true);//No I18N
		}
		else
		{
			adsjQuery(this).attr("checked",false);//No I18N
		}	
	});
	SummaryView.updateAllLists();
}
var doCallSelectAllHandler = true;
SummaryView.selectAllListsFT = function(tabId){
	if(!doCallSelectAllHandler)
		return;
	if(adsjQuery('#sumarryViewAll_'+tabId).attr("checked"))
	{
		adsjQuery('#summaryResultDiv input:checkbox[name="sumarryViewList"][tabId="'+tabId+'"]').each(function(){	//No I18N
			$(this).iCheck('check');//No I18N
		});
	}
	else
	{
		adsjQuery('#summaryResultDiv input:checkbox[name="sumarryViewList"][tabId="'+tabId+'"]').each(function(){	//No I18N
			$(this).iCheck('uncheck');//No I18N
		});
	}	
}
SummaryView.updateAllLists = function(){
	adsjQuery('#summaryResultDiv input:checkbox[name="sumarryViewList"]').each(function(){	//No I18N
		SummaryView.updateSummaryViewList(this);
	});
}
SummaryView.updateSelectAll = function(){
	adsjQuery('#summaryResultDiv input:checkbox[name="sumarryViewAll"]').each(function(){//No I18N
		adsjQuery(this).attr("checked",true);//No I18N
	});
	adsjQuery('#summaryResultDiv input:checkbox[name="sumarryViewList"]').each(function(){//No I18N
		if(!adsjQuery(this).attr("checked")){
			var tabId = adsjQuery(this).attr('tabId');//No I18N
			adsjQuery('#sumarryViewAll_'+tabId).attr('checked', false);	//No I18N
		}
	});
}
SummaryView.updateSelectAllFT = function(tabId){
	adsjQuery('#summaryResultDiv input:checkbox[name="sumarryViewAll"][tabId="'+tabId+'"]').each(function(){//No I18N
		doCallSelectAllHandler = false; // to prevent recursive call of select all handler
		$(this).iCheck('check');//No I18N
		$('#jsTreeOuPopup').jstree().select_node($('#PopupSelectAll_'+popup.currentTab.currentAFO.currentPDM.popupDataModelId),true,false); //No I18N
		doCallSelectAllHandler = true;
	});
	adsjQuery('#summaryResultDiv input:checkbox[name="sumarryViewList"][tabId="'+tabId+'"]').each(function(){//No I18N
		if(!adsjQuery(this).attr("checked")){
			doCallSelectAllHandler = false;
			$('#sumarryViewAll_'+tabId).iCheck('uncheck');//No I18N
			$('#jsTreeOuPopup').jstree().deselect_node($('#PopupSelectAll_'+popup.currentTab.currentAFO.currentPDM.popupDataModelId),true,false); //No I18N
			doCallSelectAllHandler = true;
		}
	});
}
