/* $Id$ */

//ignorei18n_start
import Ember from 'ember';//NO I18N
import I18NUtil from "../../utils/i18n-util"; //NO I18N
export default Ember.Component.extend
({	
showPopup:'true',
showError:false,
dashboardLinkUrl:'',
embedLinkUrl:'',
errorMessage:I18NUtil.translate('ads.home.layout.embed_dashboard.refresh_error'),
updateRefreshInterval : function() 
{
   var val=$("#REFRESH_ID").val();
   var url=this.getAttr("url");
   var dashboardUrl=url+"&refresh="+val;
   var embedUrl='<iframe frameborder=0 width="100%" height="100%" src="'+dashboardUrl+'"></iframe>';
   this.set("dashboardLinkUrl",dashboardUrl);
   this.set("embedLinkUrl",embedUrl);
}.observes('refreshTime'),

getRefreshInterval : function() 
{
   var val=this.getAttr("refreshTime");
   var url=this.getAttr("url");
   var dashboardUrl=url+"&refresh="+val;
   var embedUrl='<iframe frameborder=0 width="100%" height="100%" src="'+dashboardUrl+'"></iframe>';
   this.set("dashboardLinkUrl",dashboardUrl);
   this.set("embedLinkUrl",embedUrl);
}.on('init'),
didInsertElement: function() 
{
	$("#dashboard-link").click(function() 
	{
		$(this).select();
	});
	$("#dashboard-embed-link").click(function() 
	{
		$(this).select();
	});
},
 actions: 
 {
	closePopup:function()
	{
	    this.sendAction('closePopup');	
	},
	okAction:function()
	{
		var self=this;
		self.set("showError",false);
		self.set("errorMessage",I18NUtil.translate('ads.home.layout.embed_dashboard.refresh_error'));
		var refreshVal=$("#REFRESH_ID").val();
		if(refreshVal !=='')
		{
			var isValidNumber=!!refreshVal.match(/^[0-9]+$/);
			if(!isValidNumber)
			{
				self.set("errorMessage",I18NUtil.translate('ads.home.layout.embed_dashboard.refresh_invalid_error'));
			}
			if(isValidNumber && refreshVal>=60 && refreshVal<=1440)
			{
				self.sendAction('updateInterval',refreshVal);
				self.$(".mini-status-alert").delay(500).slideDown('slow');
				var timer = setInterval(function()
				{
					$('.mini-status-alert').delay(50).slideUp('slow');
					clearTimeout(timer);
				},4000);
				return;
			}
		}
		self.set("showError",true);
	},
	closeAlert:function()
	{
	    self.$('.mini-status-alert').delay(50).slideUp('slow');
	},
 },
});

//ignorei18n_end
