/* $Id: help-tooltip.js,v 1.1.8.1 2018/10/16 06:55:51 ganesh.venkatraman Exp $ */
//ignorei18n_start
import Ember from 'ember';

export default Ember.Component.extend({

  data:"",
  prevdata : "",

  classNames:["hidden"],

  //configuring the tooltip
  onInsertingElement: function() {
    if(this.get("data")==="") {
      Ember.$("#"+this.get("elementId")).parent().tooltip({container:"#fw-helpToolTip",trigger:"hover",animation:false});
    }
  }.on("didInsertElement"),

  //Added for supporting dynamically changing titles
  dataObserver: function() {
    var self=this;
    if(this.get("data") !== this.get("prevdata")) {
      Ember.run.scheduleOnce("afterRender",this,function(){
        Ember.$("#"+this.get("elementId")).parent().attr("data-original-title",self.get("data"));
        Ember.$("#"+this.get("elementId")).parent().tooltip({container:"#fw-helpToolTip",trigger:"hover",animation:false});
        Ember.$("#"+this.get("elementId")).parent().attr("title","");
      });
      this.set("prevdata",this.get("data"));
    }
  }.observes("data").on("init"),

  //Cleaning up any mess left by tooltip
  onDestroying: function() {
    Ember.$("#"+this.get("elementId")).parent().tooltip("destroy");
  }.on("willDestroyElement")

});
//ignorei18n_end
