/*
 * $Id$
 */

//ignorei18n_start
import Ember from 'ember';
import I18NUtil from "webclient/utils/i18n-util"; //NO I18N

export default Ember.Component.extend({
  errorMessage: null,
  componentErrorMessage:null,
  errorDescription: null,
  isComponentErrorMessage:false,
  isUnavailable: false,
  didInsertElement: function() {    
    var data = this.getAttr('data');
  	if(data.hasOwnProperty('COMPONENT_ERROR_MESSAGE'))
  	{
  		this.set('isComponentErrorMessage',true);
  		this.set('componentErrorMessage',I18NUtil.translate(data.COMPONENT_ERROR_MESSAGE));
  	}
    if (data.hasOwnProperty('ERROR_MESSAGE'))
    {
      this.set('isUnavailable', data.ERROR_MESSAGE == 'ads.restapi.error.service_unavailable' ? true : false);
      this.set('errorMessage', I18NUtil.translate(data.ERROR_MESSAGE + '_description', [data.DOMAIN_NAME, data.PRODUCT_NAME])); 
    } 
    else 
    {
        this.set('isUnavailable', true);
    }
  }.observes('data'),
});

//ignorei18n_end