/*
  $Id$
*/

import Ember from 'ember';//NO I18N
import I18NUtil from "../utils/i18n-util";//No I18N

export default Ember.Object.create
({
	alert : function(th, message)
	{
		th.set('pageStatus.title', I18NUtil.translate('ads.common.text.alert_message')); //No I18N
		th.set('pageStatus.icon', true);	//No I18N
		th.set('pageStatus.message', I18NUtil.translate(message));//No I18N
		th.set('pageStatus.show', 'ALERT_BOX'); //No I18N
	},

	confirm : function(th, message, callBckFunc,buttonName ,callBckFuncKeys,callBckObj,cancelCallBckFunc,cancelCallBckParams,cancelButtonName)
	{
		if(buttonName != undefined)
		{
		    th.set('pageStatus.buttonName',I18NUtil.translate(buttonName)); //No I18N
		}
		else
		{
			th.set('pageStatus.buttonName',I18NUtil.translate('ads.common.text.ok'));  //No I18N
		}
		if(cancelButtonName != undefined)
		{
		    th.set('pageStatus.cancelButtonName',I18NUtil.translate(cancelButtonName)); //No I18N
		}
		else
		{
			th.set('pageStatus.cancelButtonName',I18NUtil.translate('ads.common.text.cancel'));  //No I18N
		}
		th.set('pageStatus.title', I18NUtil.translate('ads.common.text.confirm_box')); //No I18N
		th.set('pageStatus.icon', true);	//No I18N
		th.set('pageStatus.message', I18NUtil.translate(message));//No I18N
		th.set('pageStatus.show', 'CONFIRM_BOX'); //No I18N
		th.set('pageStatus.CB_FUN_NAME', callBckFunc); //No I18N
		th.set('pageStatus.CB_FUN_PARAMS', callBckFuncKeys); //No I18N
		th.set('pageStatus.CB_OBJ_NAME',callBckObj);//No I18N
		th.set('pageStatus.CANCEL_CB_FUN_NAME',cancelCallBckFunc); //No I18N
		th.set('pageStatus.CANCEL_CB_FUN_PARAMS',cancelCallBckParams); //No I18N		
	},

	credential : function(th, params)
	{
		th.set('pageStatus.title', params.title);//No I18N
		th.set('pageStatus.userNameText', params.userNameText);//No I18N
		th.set('pageStatus.userNamePlaceHolder', params.userPlaceHolder);//No I18N
		th.set('pageStatus.WAIT_FOR_RESPONSE',params.waitForResponse);//No I18N
		th.set('pageStatus.buttonName', params.buttonName);//No I18N
		th.set('pageStatus.CB_FUN_NAME', params.callBckFunc);//No I18N
		th.set('pageStatus.CB_FUN_PARAMS', params.callBckFuncKeys); //No I18N
		th.set('pageStatus.CB_OBJ_NAME', params.callBckObj);//No I18N
		th.set('pageStatus.VALIDATE', params.validate);//No I18N
		th.set('pageStatus.show', 'CREDENTIAL_BOX'); //No I18N
	},

	showReason : function(th, message)
	{
		th.set('pageStatus.title',I18NUtil.translate('ads.common.text.reason')); //No I18N
		th.set('pageStatus.icon',true);	//No I18N
		th.set('pageStatus.message',message );//No I18N
		th.set('pageStatus.show', 'ALERT_BOX'); //No I18N
	},
});