/*
 * $Id$
 */

var AppsPane = function(){
}

var currentPane=null;
var parentAppName=null;
var currentProductName=null;
var loadURL = new Object();
//Load the product in frame
AppsPane.loadApp = function(th)
{
	if(adsSecurityToken == null)
	{
		AppsPane.disableAppsPaneClick();
		AppsPane.getSecurityToken();
	}
	var url = th.getAttribute("PRODUCT_URL");	
	var productName = th.getAttribute("PRODUCT_NAME");
	currentPane=productName;
	var isIntegrated = th.getAttribute("IS_INTEGRATED");
    if(isIntegrated === "false")
    {
        currentPane = null;
    }
	var isCustomApp=(isCustomApp !=null ? isCustomApp :th.getAttribute("IS_CUSTOM_APP"));//No I18N

	//Load the url on every link
	if(loadURL[productName] == undefined) { 
		loadURL[productName] = "false";//NO I18N
	}
	JumpTo.toggleApp(url, productName, isIntegrated, loadURL[productName],isCustomApp, 'appsPane');
}

//To Disable Clicks in Apps Pane until the content of the current apps pane is loaded
AppsPane.disableAppsPaneClick = function()
{
	adsjQuery('#APP_ICONS').css('pointer-events','none');//NO I18N
}
//To enabled Clicks in Apps Pane until the content of the current apps pane is loaded
AppsPane.enableAppsPaneClick = function()
{
	adsjQuery('#APP_ICONS').css('pointer-events','auto');//NO I18N
}

//Set Reload flag for each product
AppsPane.setReloadFlag = function(productName,value) {
	loadURL[productName] = value;//NO I18N
}

//Toggle Apps Pane Div
AppsPane.togglePane = function(th)
{
	if(adsjQuery('#APP_ICONS').hasClass('app-pane-minimized'))
	{
		adsjQuery('#APP_ICONS').removeClass('app-pane-minimized'); //NO I18N
		adsjQuery('#APP_ICONS .app-pane').addClass('open'); //NO I18N
	}
	else
	{
		adsjQuery('#APP_ICONS').addClass('app-pane-minimized'); //NO I18N
		adsjQuery('#APP_ICONS .app-pane').removeClass('open'); //NO I18N
	}
	JumpTo.requestToggleJumpTo();
}

AppsPane.getSecurityToken =  function()
{
	var url = "AppsPane.do?mTCall=getSecurityToken";//NO I18N
	var params={};
	AjaxAPI.sendRequest({URL:url, PARAMETERS:params, ONSUCCESSFUNC:AppsPane.setSecurityToken, VALIDATE_SESSION:true}); 
}
//To set Security Token 
AppsPane.setSecurityToken = function(response)
{
	adsSecurityToken = response.transport.responseText;
	AppsPane.enableAppsPaneClick();
}

//Reloading the Apps Pane will update the App details
AppsPane.reload = function()
{
	var url = "AppsHome.do";//NO I18N
	var params = "RELOAD=true&refreshSettings=true";//NO I18N
	AjaxAPI.sendRequest({URL:url, PARAMETERS:params, ONSUCCESSFUNC:AppsPane.reloadPane}); 
}
AppsPane.reloadPane = function(response, reqOptions)
{
	var isAppsPaneReload=window.SingleSignOut.getCookie('APPSPaneReload'); //NO I18N
	if(isAppsPaneReload=='true')
	{
		try
		{
			var jumpToObject = adsjQuery.parseJSON(response.transport.responseText); 
			if(jumpToObject["remove"])
			{
				FormFields.CreateAndSubmitForm("./AppsHome.do?RELOAD=false",'','');//No I18N
			}
		}
		catch(e)
		{
			//Loading the Apps Pane content
			adsjQuery('#APPS_PANE').html(response.transport.responseText);//No I18N 
			//Removing the iFrames to update the changes
			adsjQuery("#APPS_FRAMES div").each(function()//No I18N 
					{
						if(adsjQuery(this).css("display") == "none")//No I18N 
			{
				adsjQuery(this).remove();
			}
					});
		}
	}
	window.SingleSignOut.setCookie('APPSPaneReload',''); //NO I18N
}
//Function that resize the AppsPane on window resize.
AppsPane.windowResize = function()
{
	var frameName;
	adsjQuery("#APPS_FRAMES").find("div").each(function(){    //No I18N 
		if(adsjQuery(this).css('display')=='block'){
			frameName=adsjQuery(this).attr('PRODUCT_NAME');//No I18N 
		}
	});
	if(!!navigator.userAgent.match(/Trident\/7\./))	{
		adsjQuery("#APP_ICONS").css('height',document.documentElement.clientHeight);//No I18N 
		adsjQuery("#APPS_FRAME").css('height',document.documentElement.clientHeight);//No I18N 
		adsjQuery("iframe[ID='APPS_FRAME'][PRODUCT_NAME='"+frameName+"']").css('height',document.documentElement.clientHeight);//No I18N 

	}
	else if (adsjQuery.browser.mozilla || adsjQuery.browser.chrome ){
		adsjQuery("#APP_ICONS").css('height',document.body.clientHeight-10);//No I18N 
		adsjQuery("#APPS_FRAME").css('height',document.body.clientHeight);//No I18N 
		adsjQuery("iframe[ID='APPS_FRAME'][PRODUCT_NAME='"+frameName+"']").css('height',document.body.clientHeight);//No I18N 
	}
	else if (adsjQuery.browser.msie && parseInt(adsjQuery.browser.version)==7 && !document.documentMode){
		document.getElementById("APP_ICONS").style.height=document.body.clientHeight;//No I18N 
		document.getElementById("APPS_FRAME").style.height=document.body.clientHeight;//No I18N 
	}
	else{
		adsjQuery("#APP_ICONS").css('height',document.documentElement.clientHeight-10);//No I18N 
		adsjQuery("#APPS_FRAME").css('height',document.documentElement.clientHeight-10);//No I18N 
		adsjQuery("iframe[ID='APPS_FRAME'][PRODUCT_NAME='"+frameName+"']").css('height',document.documentElement.clientHeight-10);//No I18N 
	}	
}

AppsPane.showFrame=function(frameName)
{
	adsjQuery("#APPS_FRAMES div[PRODUCT_NAME='"+frameName+"']").css('visibility','visible');//No I18N 
	if(currentPane==frameName)
	{
		adsjQuery("#APPS_FRAMES div[PRODUCT_NAME='"+frameName+"']").css('display','block'); //No I18N 
		AppsPane.windowResize();
	}
}

//this is used to remove appsPane after logout
AppsPane.logout=function()
{
	var isAppsPaneloggedOut=window.SingleSignOut.getCookie('APPSPaneLoggedOut'); // No I18n	
	if(isAppsPaneloggedOut=='true')
	{
		window.SingleSignOut.setCookie('APPSPaneLoggedOut',''); // No I18n 
		FormFields.CreateAndSubmitForm("./AppsHome.do?LogoutFromSSO=true",'','');// No I18n 	
	}
	else
	{
		window.location.href='./Logout.do'; // No I18n
	}
}

//this function checks for nested AppsPane
AppsPane.checkForAppsPane=function(defaultProductURL)
{
	window.SingleSignOut.setCookie("APPS_PANE_LOADED","true");//No I18N
	if(self!=top)
	{	
		window.location.href=defaultProductURL;
	}
}
AppsPane.sendRedirect=function(redirectURL,isSSOutEnabled)
{
	try
	{
		if(self!=top &&(isSSOutEnabled || top.location.host==window.location.host))
		{
			var param=[];
			param[0]=redirectURL;
			window.WindowHandler.sendRequest(top,"removeAppPane",JSON.stringify(param)); // No I18n
		}
		else
		{
			FormFields.SubmitCsrfForm(redirectURL+"?LogoutFromSSO=true",null);	// No I18n	
		}    
	}
	catch(e)
	{
		FormFields.SubmitCsrfForm(redirectURL+"?LogoutFromSSO=true",null);	// No I18n	
	}	
}
AppsPane.removeAppsPane=function(redirectURL)
{
	FormFields.SubmitCsrfForm(redirectURL+"?LogoutFromSSO=true",null);	// No I18n	
}

AppsPane.appsPaneToggle=function(productName,isEnabled)
{
	var currentAppsPane = null;
	//Locating the current appspane 
	adsjQuery(".appCurrentState.active").each(function()//No I18N
			{
				currentAppsPane = adsjQuery(this).attr("PRODUCT_NAME") ; //No I18N
			});

	if(currentProductName!=productName) /*Retainig the apps pane icon , if the same product is removed and disabled*/
	{
		var display = (isEnabled == 'false' ? 'none' : 'block');//No I18N
		adsjQuery('[FW_MODULE="APPS_PANE_APP_DIV"][PRODUCT_NAME="'+productName+'"]', window.parent.document).css("display", display); //No I18N 
	}
	if(currentAppsPane == productName)
	{
		//Toggle the App Icon to parent app if the current app and disabled app are same 
		adsjQuery(".appCurrentState").each(function()//No I18N
				{
					var clName = "appCurrentState" + ((adsjQuery(this).attr("PRODUCT_NAME") == parentAppName) ? " active" : "");//No I18N
					adsjQuery(this).attr("class", clName);//No I18N
				});
	}
}

AppsPane.removeChildIframes=function()
{
	var sidemenu = window.parent.document.getElementById("APPS_FRAMES");
	adsjQuery(sidemenu).children().each(function () {    
		if(adsjQuery(this).attr("PRODUCT_NAME")!=parentAppName)
	{
		adsjQuery(this).remove();
	}
	});
}

window.AppsPane.isIntegrated=function(productName)
{
  for(i=0;i<window.AppsPane.integratedProducts.length;i++)
  {
    if(productName==window.AppsPane.integratedProducts[i])
    {
	  return true;
    }
  }
  return false;
}

/* to set the parentAppName*/
window.AppsPane.setParentApp=function(productName)
{
	parentAppName=productName;
}
/* to set the CurrentAppName*/
window.AppsPane.setCurrentApp=function(productName)
{
	currentProductName=productName;
}
/*To reload current pane other than AD360*/
AppsPane.reloadCurrentPane=function()
{
	if(currentPane!=null && currentPane!=parentAppName)
	{
		adsjQuery('[product_name="'+currentPane+'"]').click(); //No I18N
	}
}

/*To logout appspane when the associated product to which it belongs is logged out */
AppsPane.checkAppsPaneLogout=function(productName,isSessionExpired,isSSOutEnabled)
{
    if((isSSOutEnabled!=undefined && (isSSOutEnabled=="true" || isSSOutEnabled==true)) || (productName==window.AppsPane.productName))
    {
	var productFrames=self.document.getElementsByTagName("iframe");
	for(i=1;i<productFrames.length;i++)
	{
	    window.WindowHandler.sendRequest(productFrames[i].contentWindow,"SSOut",'[]'); // No I18n
	}
		
	if(isSessionExpired!=undefined && isSessionExpired=="true")
	{
	    if(window.AppsPane.homeURL.indexOf("?")!=-1)
	    {
		window.location.href=window.AppsPane.homeURL+"&LogoutFromSSO=true";
	    }
	    else
	    {
		window.location.href=window.AppsPane.homeURL+"?LogoutFromSSO=true";
	    }	
	}
	else
	{
	   window.SingleSignOut.logoutProduct(null);    
	}
    }
}

window.RequestConstants["showFrame"]=AppsPane.showFrame;
window.RequestConstants["reloadAppsPane"]=AppsPane.reload;
window.RequestConstants["logOutAppsPane"]=AppsPane.logout;
window.RequestConstants["windowResize"]=AppsPane.windowResize;
window.RequestConstants["removeAppPane"]=AppsPane.removeAppsPane;
window.RequestConstants["appsPaneToggle"]=AppsPane.appsPaneToggle;
window.RequestConstants["removeChildIframes"]=AppsPane.removeChildIframes;
window.RequestConstants["reloadCurrentPane"]=AppsPane.reloadCurrentPane;
window.RequestConstants["checkAppsPaneLogout"]=AppsPane.checkAppsPaneLogout;
