/*
 * $Id$
 */
function sendNotification()
{
	if(window.parent.isMPMConfigured == false)
	{
		return;
	}
	if(parent.usrGUID.length==0)
	{
		parent.showAlertBox(jsTitleMsg.ads_configuration_mdm_users_no_user_selected); //No I18N
		return;
	}
	var url = 'MDMAllUsers.do?methodToCall=sendMailToUsers' + this.mdmSuffix + '&DOMAIN_NAME='+this.selDomain;//No I18N
	var params= '&userGUID='+encodeURIComponent(JSON.stringify(parent.usrGUID));//No I18N
	document.getElementById('sendNotification').disabled = true;
	ftjQuery('#btnLoader').css('display','inline-block'); //No I18N
	if(parent.usrGUID.length>=25)
	{
		parent.ftjQuery('#FREEZE_LOADING_MAIL').css('display','block'); //No I18N
	}
	AjaxAPI.sendRequest({URL:url,PARAMETERS:params,ONSUCCESSFUNC:sendMailResult,ONFAILUREFUNC:sendMailFail}); 
}

function sendMailResult(response)
{
	//For handling session timeout
	if(response.transport.responseText.indexOf('isLoginPage') > -1){ //No I18N
		window.top.location.href = "../";	  //No I18N
		return;
	}
	
	ftjQuery('#btnLoader').css('display','none'); //No I18N
	parent.ftjQuery('#FREEZE_LOADING_MAIL').css('display','none'); //No I18N
	document.getElementById('sendNotification').disabled = false;

	var size = 3;
	var result = JSON.parse(response.responseText);
	if(result.hasOwnProperty('eSTATUS'))
	{
		size = result.eSTATUS.length > 100 ? 5 : size;
		window.parent.showMPMStatus(result.eSTATUS,'error',"body",size,true,false);//No I18N
	}
	else if(result.hasOwnProperty('wSTATUS'))
	{
		size = result.wSTATUS.length > 100 ? 5 : size;
		window.parent.showMPMStatus(result.wSTATUS,'warning',"body",size,true,false);//No I18N
	}
	else if(result.hasOwnProperty('sSTATUS'))
	{
		size = result.sSTATUS.length > 100 ? 5 : size;
		window.parent.showMPMStatus(result.sSTATUS,'success',"body",size,true,false);//No I18N
	}
	else
	{
		window.parent.showMPMStatus(jsTitleMsg.ads_configuration_mdm_deviceenrollment_warning_mail_sent,"error","body",3,true,false);//No I18N	
	}
	window.parent.scrollToTop();
	deselectAll();
}

function sendMailFail()
{
  ftjQuery('#btnLoader').css('display','none'); //No I18N
  parent.ftjQuery('#FREEZE_LOADING_MAIL').css('display','none'); //No I18N
  document.getElementById('sendNotification').disabled = false;
  window.parent.showMPMStatus(jsTitleMsg.ads_configuration_mdm_deviceenrollment_warning_mail_sent,"error","body",3,true,false);//No I18N
  window.parent.scrollToTop();
  deselectAll();
}

doCallSelectAllHandler = true;
function allChecked()
{
	var total_checked = $.find('tbody tr td input[name="selectedSIDsStr"]:checked').length;
	var total_present = $.find('tbody tr td input[name="selectedSIDsStr"]').length;
	
	if(total_present!=0 && total_present == total_checked) 
	{
		doCallSelectAllHandler = false;
		ftjQuery('#allusers').iCheck('check'); //No I18N
		doCallSelectAllHandler = true;
	}
	else
	{
		doCallSelectAllHandler = false;
		ftjQuery('#allusers').iCheck('uncheck'); //No I18N
		doCallSelectAllHandler = true;
	}
}

function onCheck(guid,curBox)
{
	if(curBox.checked)
		parent.usrGUID.push(guid);
	else
	{
		var index = parent.usrGUID.indexOf(guid);
		if(index!=-1)
			parent.usrGUID.splice(index, 1);// deleting element at index ie, guid
	}
	allChecked();
}

function isChecked(guid)
{
	if(parent.usrGUID.indexOf(guid)!=-1)
	{
		ftjQuery('#'+JSONUtil.escapeSelectorId(guid)).iCheck('check'); //No I18N
	}
}

function selectall()
{
	if(!doCallSelectAllHandler)
		return;
	var listboxes;
	if(document.getElementById("allusers").checked==true)
	{		
		listboxes = document.getElementsByName('selectedSIDsStr');
		if(eval(listboxes))
		{
			for(var i=0;i<listboxes.length;i++)
			{
				if(!listboxes[i].checked)
				{
					ftjQuery('#'+JSONUtil.escapeSelectorId(listboxes[i].id)).iCheck('check'); //No I18N
				}
			}
		}
	}
	else
	{
		listboxes = document.getElementsByName('selectedSIDsStr');
		if(eval(listboxes))
		{
			for(var i=0; i<listboxes.length; i++)
			{
				if(listboxes[i].checked)
				{
					ftjQuery('#'+JSONUtil.escapeSelectorId(listboxes[i].id)).iCheck('uncheck'); //No I18N
				}
			}
		}
	}
}

function deselectAll()
{
	var listboxes = document.getElementsByName('selectedSIDsStr');
	if(eval(listboxes))
	{
		for(var i=0; i<listboxes.length; i++)
		{
			if(listboxes[i].checked)
			{
				ftjQuery('#'+JSONUtil.escapeSelectorId(listboxes[i].id)).iCheck('uncheck');//No I18N
			}
		}
	}
	window.parent.resetCheckBox();
}

function resetSearch()
{
	window.parent.resetCheckBox();
	window.parent.changeTabs("allusers","loadUsers");//No I18N
}

function changeType(choice)
{
	if(ftjQuery("#MDMAllUsersContent .icn-search-clear").length)
		window.parent.document.getElementById('changeUserFrame').style.height = (window.parent.document.getElementById('changeUserFrame').scrollHeight - 52)+'px';
	this.filterType = choice.substring(choice.indexOf("_")+1)
	var domain = window.parent.ftjQuery('#DOMAIN_NAME').val(); //No I18N
	var ous=window.parent.document.getElementById('storeSelElem').value;
	// Sort column is sAMName for filter 
	var isAsc = ftjQuery('#UserName_ascDesc').attr('class').indexOf("asc") != -1 ; //No I18N
	var sortEmailId = ftjQuery('#EmailID_ascDesc').attr('class').indexOf("desc") != -1 ? "desc":"asc"; //No I18N
	CreateAndSubmitForm('MDMAllUsers.do?methodToCall=loadUsers&selectedTab=configuration&DOMAIN_NAME='+domain+'&type='+this.filterType+"&USERS_TYPE="+this.userFilterType+"&ASCENDING="+isAsc+"&SORT_EMAILID="+sortEmailId+'&FROM_INDEX=1&RANGE='+this.selRange, 'changeUserFrame',"storeSelElem="+ous);//No I18N
	window.parent.resetCheckBox();
}

function changeUserType(choice)
{
	if(ftjQuery("#MDMAllUsersContent .icn-search-clear").length)
		window.parent.document.getElementById('changeUserFrame').style.height = (window.parent.document.getElementById('changeUserFrame').scrollHeight - 52)+'px';
	this.userFilterType=choice.substring(choice.indexOf("_")+1);
	var domain = window.parent.ftjQuery('#DOMAIN_NAME').val(); //No I18N
	var ous=window.parent.document.getElementById('storeSelElem').value;
	// Sort column is sAMName for filter 
	var isAsc = ftjQuery('#UserName_ascDesc').attr('class').indexOf("asc") != -1 ; //No I18N
	var sortEmailId = ftjQuery('#EmailID_ascDesc').attr('class').indexOf("desc") != -1 ? "desc":"asc"; //No I18N
	CreateAndSubmitForm('MDMAllUsers.do?methodToCall=loadUsers&selectedTab=configuration&DOMAIN_NAME='+domain+'&type='+this.filterType+"&USERS_TYPE="+this.userFilterType+"&ASCENDING="+isAsc+"&SORT_EMAILID="+sortEmailId+'&FROM_INDEX=1&RANGE='+this.selRange, 'changeUserFrame',"storeSelElem="+ous);//No I18N
	window.parent.resetCheckBox();
}

function getfilterOUAction(domainName)
{
	window.parent.resetCheckBox();
  	var action = ftjQuery('#filterForm').attr('action') + '&DOMAIN_NAME=' + domainName + '&type=' + this.filterType +"&USERS_TYPE="+this.userFilterType+ '&FROM_INDEX=1&RANGE='+this.selRange; //No I18n
  	return action;
}

function getFrameURL()
{
  return "loadUsers"; //No I18N
}

function validateSearch(key) //key- 1(sAMname),2(email) - for sort
{
	var url;
	var samName = ftjQuery('#searchTxt_SAMName').val(); //No I18N
	var emailId = ftjQuery('#searchTxt_EmailId').val(); //No I18N
	if( (samName=='' || samName.length==0) && (emailId=='' || emailId.length==0))
	{
		window.parent.showMPMStatus(jsTitleMsg.adssp_common_alert_search_pls_enter_text,"error","body",2,true,false);//No I18N
		return;
	}
	var ous=window.parent.document.getElementById('storeSelElem').value;
	if(key==1)
	{
		var isAsc = ftjQuery('#UserName_ascDesc').attr('class').indexOf("asc") != -1 ; //No I18N
		var sortEmailId = ftjQuery('#EmailID_ascDesc').attr('class').indexOf("desc") != -1 ? "desc":"asc"; //No I18N
		url = 'MDMAllUsers.do?methodToCall=loadUsers&selectedTab=configuration&DOMAIN_NAME='+this.selDomain+'&type='+this.filterType+"&USERS_TYPE="+this.userFilterType+'&SEARCH_STRING='+ encodeURIComponent(samName)+'&SEARCH_STRING_EMAIL='+ encodeURIComponent(emailId) +"&START_DATE="+this.startDate+"&END_DATE="+this.endDate+"&ASCENDING="+isAsc+"&SORT_EMAILID="+sortEmailId+'&FROM_INDEX=1&RANGE='+this.selRange; // No I18N
	}
	else
	{
		var isAsc = ftjQuery('#EmailID_ascDesc').attr('class').indexOf("asc") != -1 ; //No I18N
		var sortUserName = ftjQuery('#UserName_ascDesc').attr('class').indexOf("desc") != -1 ? "desc":"asc"; //No I18N 
		url = 'MDMAllUsers.do?methodToCall=loadUsers&selectedTab=configuration&DOMAIN_NAME='+this.selDomain+'&type='+this.filterType+"&USERS_TYPE="+this.userFilterType+'&SEARCH_STRING='+ encodeURIComponent(samName)+'&SEARCH_STRING_EMAIL='+ encodeURIComponent(emailId) +"&START_DATE="+this.startDate+"&END_DATE="+this.endDate+"&SORT_COLUMN=E_MAIL&ASCENDING="+isAsc+"&SORT_USERNAME="+sortUserName+'&FROM_INDEX=1&RANGE='+this.selRange; // No I18N
	}
	CreateAndSubmitForm(url, 'changeUserFrame',"storeSelElem="+ous);//No I18N
	window.parent.resetCheckBox();
}

function sortByUserName()
{
	var samName = ftjQuery('#searchTxt_SAMName').val(); //No I18N
	var emailId = ftjQuery('#searchTxt_EmailId').val(); //No I18N
	var isAsc = ftjQuery('#UserName_ascDesc').attr('class').indexOf("desc") != -1 ; //No I18N
	// To maintain EMail Sort arrow on username sort
	var sortEmailId = ftjQuery('#EmailID_ascDesc').attr('class').indexOf("desc") != -1 ? "desc":"asc"; //No I18N 
	var ous=window.parent.document.getElementById('storeSelElem').value;
	CreateAndSubmitForm('MDMAllUsers.do?methodToCall=loadUsers&selectedTab=configuration&DOMAIN_NAME='+this.selDomain+'&type='+this.filterType+"&USERS_TYPE="+this.userFilterType+'&SEARCH_STRING='+ encodeURIComponent(samName)+'&SEARCH_STRING_EMAIL='+ encodeURIComponent(emailId) +"&START_DATE="+this.startDate+"&END_DATE="+this.endDate+"&ASCENDING="+isAsc+"&SORT_EMAILID="+sortEmailId+'&FROM_INDEX=1&RANGE='+this.selRange, 'changeUserFrame',"storeSelElem="+ous);//No I18N
}

function sortByEmailID()
{
	var samName = ftjQuery('#searchTxt_SAMName').val(); //No I18N
	var emailId = ftjQuery('#searchTxt_EmailId').val(); //No I18N
	var isAsc = ftjQuery('#EmailID_ascDesc').attr('class').indexOf("desc") != -1 ; //No I18N
	// To maintain EMail Sort arrow on username sort
	var sortUserName = ftjQuery('#UserName_ascDesc').attr('class').indexOf("desc") != -1 ? "desc":"asc"; //No I18N 
	var ous=window.parent.document.getElementById('storeSelElem').value;
	CreateAndSubmitForm('MDMAllUsers.do?methodToCall=loadUsers&selectedTab=configuration&DOMAIN_NAME='+this.selDomain+'&type='+this.filterType+"&USERS_TYPE="+this.userFilterType+'&SEARCH_STRING='+ encodeURIComponent(samName)+'&SEARCH_STRING_EMAIL='+ encodeURIComponent(emailId) +"&START_DATE="+this.startDate+"&END_DATE="+this.endDate+"&SORT_COLUMN=E_MAIL&ASCENDING="+isAsc+"&SORT_USERNAME="+sortUserName+'&FROM_INDEX=1&RANGE='+this.selRange, 'changeUserFrame',"storeSelElem="+ous);//No I18N
}

function filterByLastNotifiedTime()
{
	var samName = ftjQuery('#searchTxt_SAMName').val(); //No I18N
	var emailId = ftjQuery('#searchTxt_EmailId').val(); //No I18N
	var ous=window.parent.document.getElementById('storeSelElem').value;
	var actionString = "MDMAllUsers.do?methodToCall=loadUsers&selectedTab=configuration&DOMAIN_NAME="+this.selDomain; //No I18N
	actionString += "&type="+this.filterType;//No I18N
	actionString += "&USERS_TYPE="+this.userFilterType; //No I18N
	if(samName!='') //Not checked at backend 
		actionString += "&SEARCH_STRING="+encodeURIComponent(samName);//No I18N
	actionString += "&SEARCH_STRING_EMAIL="+encodeURIComponent(emailId);//No I18N
	actionString += "&START_DATE="+encodeURIComponent(this.startDate);//No I18N
	actionString += "&END_DATE="+encodeURIComponent(this.endDate);//No I18N
	actionString += "&FROM_INDEX=1&RANGE="+this.selRange;//No I18N
	CreateAndSubmitForm(actionString, 'changeUserFrame',"storeSelElem="+ous);//No I18N
	window.parent.resetCheckBox();
}

/*function tickFilterType()
{
	var selector = '#filterType_'; //No I18N
	switch(this.filterType)
	{
		case 'all': //No I18N
		case 'All': //No I18N
			selector += 'all'; //No I18N
			break;
		case 'Notified': //No I18N
			selector += 'notified'; //No I18N
			break;
		case 'Not Notified': //No I18N
			selector += 'not_notified'; //No I18N
			break;
		case 'Failure': //No I18N
			selector += 'failure'; //No I18N
		default:
			break;
	}
	ftjQuery(selector+' i').addClass('ssp-icon icn-tick-sm'); //No I18N
}

function tickUsersFilterType()
{
	var selector = '#userFilterType_'; //No I18N
	switch(this.userFilterType)
	{
		case 'all': //No I18N
		case 'All': //No I18N
			selector += 'all'; //No I18N
			break;
		case 'Configured': //No I18N
			selector += 'configured'; //No I18N
			break;
		case 'Not Configured': //No I18N
			selector += 'not_configured'; //No I18N
		default:
			break;
	}
	ftjQuery(selector+' i').addClass('ssp-icon icn-tick-sm'); //No I18N
}*/