/* $Id$ */
//ignorei18n_start

function ZE_Init() {}

ZE_Init.init = function() {
    /*static variable initilisation*/
    ZE_Init.staticVersion = "v40"; //No I18N
    
    ZE_Init.I18N_DATA_MODEL = {};
    ZE_Init.keyPressed;
    ZE_Init.currentEditor;
    ZE_Init.isMouseUp=false;
    ZE_Init.editorHeight=100;
    ZE_Init.excludeElements=[];
    ZE_Init.textNode;
    ZE_Init.newOffset;
    ZE_Init.jQuery;

    ZE_Init.language = "en"; //Need to be told

    /*Configuration for whether plaintext needed or not is BOOLEAN*/
    ZE_Init.needplaintext = true;

    /*Zeditor.css should be loaded inside the iframe or not*/
    ZE_Init.editorCSS = true;

    /*Need Inline quotes*/
    ZE_Init.inlineQuotes = true;

    /*Notifying mode change for mail team which argument will give the mode*/
    ZE_Init.modeChange = undefined;

    /*spellcheck url by default it will be lt.zoho.com*/
    ZE_Init.spellcheckURL = "lt.zoho.com"; //No I18N
    //ZE_Init.spellcheckURL = "antispam-centos-3.csez.zohocorpin.com:7777";

    /*setting domain name by default it will be zoho.com*/
    ZE_Init.domain = "zoho.com"; //No I18N
    //ZE_Init.domain = "zohocorpin.com";

    /* tab key handling needed or not */
    ZE_Init.tabKeyHandling = true;

    /* focus needed or not for editor */
    ZE_Init.needEditorFocus = true;

    /* ze border needed or not start*/
    ZE_Init.needEditorBorder = true;

    /* Image resizing needed or not start*/
    ZE_Init.needResizeImage = false;

    /* removing the insert options on close*/
    ZE_Init.removeInsertOptions = false;

    /* removing the fontfamily on close*/
    ZE_Init.removeFontFamily = false;

    /* removing the fontsize on close*/
    ZE_Init.removeFontSize = false;

    /* Default font-family to be applied on the document inside the iframe */
    ZE_Init.defaultFontSize = "10pt"; //No I18N

    /* Default font-size to be applied on the document inside the iframe */
    ZE_Init.defaultFontFamily = "Verdana,arial,Helvetica,sans-serif"; //No I18N

    /* Default font-color to be applied on the document inside the iframe */
    ZE_Init.defaultFontColor = "blue"; //No I18N

    /*For mail team, sets the class on editor depending upon the the option user has selected from mail settings*/
    ZE_Init.outGoingFontFamily = "";

    ZE_Init.outGoingFontSize = ""; //Enter value here in pt not px ..

    ZE_Init.outGoingColor = "";

    ZE_Init.resizeTableAllowed=true;

    ZE_Init.allowTableEditorOptions=true;

    // ZE_Init.attachDrop = [{"htm":"Increase Indent","datAttr":"indent"},//No I18N
    //                  {"htm":"Decrease Indent","datAttr":"outdent"}//No I18N  
    //                  ]

    // ZE_Init.attachDrop = [{
    //         "clk": function(e) {

    
    //             ZE_Init.attach(e);
    //         },
    //         "htm": "ads.rteditor.icon.attach_file"
    //     }, //No I18N
    //      { "clk": function() {  }, "htm": "Attach from Zoho Docs" }, //No I18N
    //      { "clk": function() {  }, "htm": "Attach from Google Docs" } //No I18N

    // ];


    /*******************************************************

    /* static path configuration start*/
    var loc_Protocol = window.location.protocol;
    ZE_Init.cssPath = '';
    ZE_Init.jsPath = loc_Protocol + "/app";
    ZE_Init.imgPath = loc_Protocol + "/webclient/assets";
    ZE_Init.toolBarSelect=[0,1,2,3,4,5,6,7];
    ZE_Init.toolbarOrder = [];
    
    //ZE_Init.initToolbarBlock = 3;

    /*Insert options*/
    ZE_Init.insertOptions = [
        ["table", "ads.rteditor.icon.insert_table", "ze_tbl"], //No I18N
        ["inserthorizontalrule", "ads.rteditor.icon.insert_horiz_rule", "ze_hr"], //No I18N
        ["object", "ads.rteditor.icon.insert_html", "ze_obj"], //No I18N
        ["code", "ads.rteditor.icon.insert_code", "ze_icode"], //No I18N
        ["quote", "ads.rteditor.icon.insert_quote", "ze_quote"] //No I18N
    ];

    ZE_Init.align = [
        { "htm": "ads.rteditor.icon.align_left", "datAttr": "justifyleft" }, //No I18N
        { "htm": "ads.rteditor.icon.align_right", "datAttr": "justifyright" }, //No I18N
        { "htm": "ads.rteditor.icon.align_justify", "datAttr": "justifyfull" }, //No I18N
        { "htm": "ads.rteditor.icon.align_center", "datAttr": "justifycenter" } //No I18N
    ];

    ZE_Init.list = [
        { "htm": "ads.rteditor.icon.bullets", "datAttr": "insertunorderedlist" }, //No I18N
        { "htm": "ads.rteditor.icon.numbering", "datAttr": "insertorderedlist" } //No I18N
    ];

    ZE_Init.indent = [
        { "htm": "ads.rteditor.icon.incr_indent", "datAttr": "indent" }, //No I18N
        { "htm": "ads.rteditor.icon.decr_indent", "datAttr": "outdent" } //No I18N
    ];

    ZE_Init.others = [
        { "htm": "ads.rteditor.icon.check_spell", "datAttr": "spellcheck" }, //No I18N
        { "htm": "ads.rteditor.icon.plain_text", "datAttr": "switchmode" } //No I18N
    ];

    ZE_Init.attach = [
        { "clk": function() { }, "htm": "ads.rteditor.icon.attach_file" }, //No I18N
        { "clk": function() { }, "htm": "ads.rteditor.icon.attach_zoho_doc" }, //No I18N
        { "clk": function() { }, "htm": "ads.rteditor.icon.attach_google_doc" } //No I18N

    ];
    /* font family specification */
    ZE_Init.fontfamily = [
        { "htm": "Serif", "ff": "serif" }, //No I18N
        { "htm": "Arial", "ff": "arial,helvetica,sans-serif" }, //No I18N
        { "htm": "Courier New", "ff": "'courier new',courier,monospace" }, //No I18N
        { "htm": "Georgia", "ff": "georgia,times new roman,times,serif" }, //No I18N
        { "htm": "Garamond", "ff": "garamond,serif" }, //No I18N
        { "htm": "Narrow", "ff": "arial narrow,sans-serif" }, //No I18N
        { "htm": "Tahoma", "ff": "tahoma,arial,helvetica,sans-serif" }, //No I18N
        { "htm": "Times New Roman", "ff": "'times new roman',times,serif" }, //No I18N
        { "htm": "Trebuchet", "ff": "'trebuchet ms',arial,helvetica,sans-serif" }, //No I18N
        { "htm": "Verdana", "ff": "verdana" }, //No I18N
        { "htm": "Wide", "ff": "'arial black',sans-serif" }, //No I18N
        { "htm": "Comic Sans MS", "ff": "'Comic Sans MS'" }, //No I18N
        { "htm": "Calibri", "ff": "Calibri, Verdana, Arial, sans-serif" } //No I18N
    ];

    /* font size specification */
    ZE_Init.fontsize = [
        { "htm": "8", "datAttr": "1" }, //No I18N
        { "htm": "10", "datAttr": "2" }, //No I18N
        { "htm": "12", "datAttr": "3" }, //No I18N
        { "htm": "14", "datAttr": "4" }, //No I18N
        { "htm": "18", "datAttr": "5" }, //No I18N
        { "htm": "24", "datAttr": "6" }, //No I18N
        { "htm": "36", "datAttr": "7" } //No I18N
    ];


    ZE_Init.apply = function(id, content,toolbars,mode)
    {
        if(typeof ZE_Init.jQuery=="undefined")
        {
            if(typeof jQuery!=="undefined")
            {
                ZE_Init.jQuery=jQuery;
            }
            else
            {
                throw "jQuery is not defined";
            }
        }
        ZE_Init.getToolBar(toolbars);
        var initobject = {
            id: id,
            content: content,
        };
        if(typeof mode!=="undefined")
        {
            initobject.mode=mode;
        }
       return ZE.create(initobject);

    }

    ZE_Init.getToolBar = function(toolbarsOption) 
    {

        var toolbars = ZE_Init.toolBarSelect;
        if(toolbarsOption != null || toolbarsOption != undefined)
        {
            toolbars = toolbarsOption;
        }
        var toolbarOrderOption = [];
        for(var i=0;i<toolbars.length;i++)
        {
            switch(toolbars[i])
            {
                case 0:toolbarOrderOption.push([["attach", "ads.rteditor.icon.attachment", "zei-attachment", function(e) { ZE_Init.attach(e) }]]);
                        break;
                case 1: toolbarOrderOption.push([["bold", "ads.rteditor.icon.bold", "zei-bold"], //No I18N
                                        ["italic", "ads.rteditor.icon.italic", "zei-italic"], //No I18N
                                        ["underline", "ads.rteditor.icon.underline", "zei-underline"] //No I18N
                                        ]);
                        break;
                case 2: toolbarOrderOption.push([["fontfamily", "ads.rteditor.icon.font", "zei-fontfamily"]]);//No I18N
                        break;
                case 3: toolbarOrderOption.push([["fontsize", "ads.rteditor.icon.font_size", "zei-arrow"]]);
                        break;
                case 4: toolbarOrderOption.push([["forecolor", "ads.rteditor.icon.font_color", "zei-textclr"] //No I18N
                                        // ["backcolor","Background Color","zei-bgclr"]                     //No I18N
                                        ]);
                        break;
                case 5: toolbarOrderOption.push([["alignoptions", "ads.rteditor.icon.font_style", "zei-textleft"], //No I18N
                                        ["listoptions", "ads.rteditor.icon.list_opt", "zei-unorder"] //No I18N
                                    // ["indentoptions","Indent Options","zei-outdent"]                     //No I18N
                                        ]);
                        break;
                case 6: toolbarOrderOption.push([["image", "ads.rteditor.icon.insert_img", "zei-image"],
                                        ["link", "ads.rteditor.icon.insert_link", "zei-link"] //No I18N
                                        // ["unlink", "ads.rteditor.icon.remove_link", "zei-unlink"], //No I18N    
                                        // ["quote","Insert Quote","zei-quote"],                        //No I18N
                                        ]);
                        break;
                case 7: toolbarOrderOption.push([ ["insertHTML", "ads.rteditor.icon.insert_html", "zei-html"], //No I18N
                                             ["table","ads.rteditor.icon.insert_table","zei-table"]//No I18N
                                            // ["inserthorizontalrule","ads.rteditor.icon.insert_horiz_rule","zei-line"]//No I18N
                                        ]);
                        break;
                case 8: toolbarOrderOption.push( [["smiley","ads.rteditor.icon.insert_code","zei-smiley"]                     //No I18N
                                        ]);
                        break;
                case 9: toolbarOrderOption.push([["otheroptions","Spell Check Languages","zei-arrow ze-big"]//No I18N
                                        ]);
                        break;
                case 10: toolbarOrderOption.push( [["custom", "customEvents", "zei-link", function() { ZE_Init.test() }]//No I18N
                                        ]);
                        break;
            
            }
        }
        ZE_Init.toolbarOrder = toolbarOrderOption;
    }

    /*Insert options*/
    ZE_Init.insertOptions = [
        ["image", "ads.rteditor.icon.insert_img", "ze_tim"], //No I18N

        ["smiley", "ads.rteditor.icon.insert_smily", "ze_tis"], //No I18N
        ["link", "ads.rteditor.icon.insert_link", "ze_til"], //No I18N
        ["unlink", "ads.rteditor.icon.remove_link", "ze_tuli"], //No I18N
        ["table", "ads.rteditor.icon.insert_table", "ze_tbl"], //No I18N
        ["inserthorizontalrule", "ads.rteditor.icon.insert_horiz_rule", "ze_hr"], //No I18N
        ["object", "ads.rteditor.icon.insert_html", "ze_obj"], //No I18N
        ["code", "ads.rteditor.icon.insert_code", "ze_icode"], //No I18N
        ["quote", "ads.rteditor.icon.insert_quote", "ze_quote"] //No I18N
    ];

    /*upload Image action*/
    ZE_Init.imgAction = ""; //No I18N

    /* additional parameters to be passed for uploading image*/
    ZE_Init.imgParameters = undefined;

    /*If html tags passed in setContent method needs to be replaced*/
    ZE_Init.setContentProcessed = false;

    /* will be calculated during run time*/
    
        // ZE_Init.imgParametersFunction = function()
        // {
        //         ZE_Init.imgParameters = document.getElementById("hemaravind").style.height;
        // };


    var _document = document,
        agt = navigator.userAgent.toLowerCase(),
        preload_image = _document.createElement("img");

    ZE_Init.is_ie = (agt.indexOf("ie") !== -1);

    ZE_Init.is_safari = (agt.indexOf("safari") !== -1);

    ZE_Init.is_opera = (agt.indexOf("opera") !== -1);

    ZE_Init.is_mac = (agt.indexOf("mac") !== -1);

    ZE_Init.theme = ZE_Init.ElementInArray(["blue", "green", "gray", "brown", "lavender", "pink", "stars", "heart", "wood", "leaf"], ZE_Init.theme) || "gray"; //No I18N

    ZE_Init.language = ZE_Init.ElementInArray(["en", "zh", "da", "nl", "fr", "de", "hu", "it", "ja", "pl", "pt", "ru", "es", "sv", "tr", "uk"], ZE_Init.language) || "en";

    /*Initial js added*/
    if (ZE_Init.is_opera) {
        ZE_Init.toolbarOrder.pop(); //for opera no spellcheck support
    }
    // ZE_Init.loadURL(ZE_Init.jsPath+"/js/i18n/"+ZE_Init.language+"/zep1.min.js" , "js");
    //No I18N

    // ZE_Init.loadURL(ZE_Init.cssPath+'/css'+'/editor.min.css' , "css");
    // ZE_Init.loadURL(ZE_Init.jsPath+"/js/i18n/"+ZE_Init.language+"/zep.min.js" , "js",loadCheckBox); //No I18N
    // ZE_Init.loadURL("..//js/default/checkBox.js" , "js");
    /*Preloading of toolbar image*/
    //preload_image.src = ZE_Init.imgPath+"/images/ze_toolbar_"+ZE_Init.theme+".png";

    // ZE_Init.loadURL("..//css/ze_init.css" , "css");
    /*variable hold to load ondemand js and css*/
    ZE_Init.loading = true;
    ZE_Init.attach = function(e) {
        // var self = this;
        // debugger
        var oe;

        oe = e;  
        
        // debugger;
        var meditor = ZE_Init.jQuery("#" + oe);

        var file = "<input type='file'  id='UPLOADED_FILE' name='UPLOADED_FILE' class='file-upload-input'  style='visibility:hidden;position: absolute;'>";
        meditor.find("div.editor-priority").append(file);
        ZE_Init.jQuery("#UPLOADED_FILE").trigger("click");
    }

};


ZE_Init.loadURL = function(URL, type, callback) {
    
    
    var css,
        _script,
        _document = document;

    if (type === "css") {
        css = _document.createElement("link");
        css.type = 'text/css';
        css.rel = 'stylesheet';
        css.href = URL;
        _document.getElementsByTagName("head")[0].appendChild(css);
    } else if (type === "js") {
        _script = _document.createElement("script");
        _script.type = "text/javascript";
        _script.src = URL;
        if (typeof(callback) == "function") {
            _script.onload = callback;
        }
        _document.getElementsByTagName("head")[0].appendChild(_script);
    }
};
ZE_Init.ElementInArray = function(array, value) {
    var element;
    while (element = array.shift()) {
        if (element === value) {
            return element;
        }
    }
};

ZE_Init.init();
//ignorei18n_end
